org.apache.tinkerpop.gremlin.language.grammar

## Class GremlinParser

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>
  - - org.antlr.v4.runtime.Parser
    - - org.apache.tinkerpop.gremlin.language.grammar.GremlinParser

-     public class GremlinParser
      extends org.antlr.v4.runtime.Parser

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GremlinParser.BooleanLiteralContext`
    `static class` | `GremlinParser.ChainedParentOfGraphTraversalContext`
    `static class` | `GremlinParser.ChainedTraversalContext`
    `static class` | `GremlinParser.ConnectedComponentConstantsContext`
    `static class` | `GremlinParser.ConnectedComponentStringConstantContext`
    `static class` | `GremlinParser.DateLiteralContext`
    `static class` | `GremlinParser.EmptyQueryContext`
    `static class` | `GremlinParser.FloatLiteralContext`
    `static class` | `GremlinParser.GenericLiteralCollectionContext`
    `static class` | `GremlinParser.GenericLiteralContext`
    `static class` | `GremlinParser.GenericLiteralExprContext`
    `static class` | `GremlinParser.GenericLiteralListContext`
    `static class` | `GremlinParser.GenericLiteralMapContext`
    `static class` | `GremlinParser.GenericLiteralRangeContext`
    `static class` | `GremlinParser.GremlinStringConstants_connectedComponentStringConstants_componentContext`
    `static class` | `GremlinParser.GremlinStringConstants_connectedComponentStringConstants_edgesContext`
    `static class` | `GremlinParser.GremlinStringConstants_connectedComponentStringConstants_propertyNameContext`
    `static class` | `GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphmlContext`
    `static class` | `GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphsonContext`
    `static class` | `GremlinParser.GremlinStringConstants_ioOptionsStringConstants_gryoContext`
    `static class` | `GremlinParser.GremlinStringConstants_ioOptionsStringConstants_readerContext`
    `static class` | `GremlinParser.GremlinStringConstants_ioOptionsStringConstants_writerContext`
    `static class` | `GremlinParser.GremlinStringConstants_pageRankStringConstants_edgesContext`
    `static class` | `GremlinParser.GremlinStringConstants_pageRankStringConstants_propertyNameContext`
    `static class` | `GremlinParser.GremlinStringConstants_pageRankStringConstants_timesContext`
    `static class` | `GremlinParser.GremlinStringConstants_peerPressureStringConstants_edgesContext`
    `static class` | `GremlinParser.GremlinStringConstants_peerPressureStringConstants_propertyNameContext`
    `static class` | `GremlinParser.GremlinStringConstants_peerPressureStringConstants_timesContext`
    `static class` | `GremlinParser.GremlinStringConstants_shortestPathStringConstants_distanceContext`
    `static class` | `GremlinParser.GremlinStringConstants_shortestPathStringConstants_edgesContext`
    `static class` | `GremlinParser.GremlinStringConstants_shortestPathStringConstants_includeEdgesContext`
    `static class` | `GremlinParser.GremlinStringConstants_shortestPathStringConstants_maxDistanceContext`
    `static class` | `GremlinParser.GremlinStringConstants_shortestPathStringConstants_targetContext`
    `static class` | `GremlinParser.GremlinStringConstants_withOptionsStringConstants_allContext`
    `static class` | `GremlinParser.GremlinStringConstants_withOptionsStringConstants_idsContext`
    `static class` | `GremlinParser.GremlinStringConstants_withOptionsStringConstants_indexerContext`
    `static class` | `GremlinParser.GremlinStringConstants_withOptionsStringConstants_keysContext`
    `static class` | `GremlinParser.GremlinStringConstants_withOptionsStringConstants_labelsContext`
    `static class` | `GremlinParser.GremlinStringConstants_withOptionsStringConstants_listContext`
    `static class` | `GremlinParser.GremlinStringConstants_withOptionsStringConstants_mapContext`
    `static class` | `GremlinParser.GremlinStringConstants_withOptionsStringConstants_noneContext`
    `static class` | `GremlinParser.GremlinStringConstants_withOptionsStringConstants_tokensContext`
    `static class` | `GremlinParser.GremlinStringConstants_withOptionsStringConstants_valuesContext`
    `static class` | `GremlinParser.GremlinStringConstantsContext`
    `static class` | `GremlinParser.IntegerLiteralContext`
    `static class` | `GremlinParser.IoOptionsStringConstantContext`
    `static class` | `GremlinParser.IoOptionsStringConstantsContext`
    `static class` | `GremlinParser.NestedTraversalContext`
    `static class` | `GremlinParser.NestedTraversalExprContext`
    `static class` | `GremlinParser.NestedTraversalListContext`
    `static class` | `GremlinParser.NullLiteralContext`
    `static class` | `GremlinParser.PageRankStringConstantContext`
    `static class` | `GremlinParser.PageRankStringConstantsContext`
    `static class` | `GremlinParser.PeerPressureStringConstantContext`
    `static class` | `GremlinParser.PeerPressureStringConstantsContext`
    `static class` | `GremlinParser.QueryContext`
    `static class` | `GremlinParser.QueryListContext`
    `static class` | `GremlinParser.RootTraversalContext`
    `static class` | `GremlinParser.ShortestPathStringConstantContext`
    `static class` | `GremlinParser.ShortestPathStringConstantsContext`
    `static class` | `GremlinParser.StringLiteralContext`
    `static class` | `GremlinParser.StringLiteralExprContext`
    `static class` | `GremlinParser.StringLiteralListContext`
    `static class` | `GremlinParser.TerminatedTraversalContext`
    `static class` | `GremlinParser.TransactionPartContext`
    `static class` | `GremlinParser.TraversalBiFunctionContext`
    `static class` | `GremlinParser.TraversalCardinalityContext`
    `static class` | `GremlinParser.TraversalColumnContext`
    `static class` | `GremlinParser.TraversalComparatorContext`
    `static class` | `GremlinParser.TraversalDirectionContext`
    `static class` | `GremlinParser.TraversalFunctionContext`
    `static class` | `GremlinParser.TraversalMethod_addE_StringContext`
    `static class` | `GremlinParser.TraversalMethod_addE_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_addEContext`
    `static class` | `GremlinParser.TraversalMethod_addV_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_addV_StringContext`
    `static class` | `GremlinParser.TraversalMethod_addV_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_addVContext`
    `static class` | `GremlinParser.TraversalMethod_aggregate_Scope_StringContext`
    `static class` | `GremlinParser.TraversalMethod_aggregate_StringContext`
    `static class` | `GremlinParser.TraversalMethod_aggregateContext`
    `static class` | `GremlinParser.TraversalMethod_andContext`
    `static class` | `GremlinParser.TraversalMethod_asContext`
    `static class` | `GremlinParser.TraversalMethod_barrier_ConsumerContext`
    `static class` | `GremlinParser.TraversalMethod_barrier_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_barrier_intContext`
    `static class` | `GremlinParser.TraversalMethod_barrierContext`
    `static class` | `GremlinParser.TraversalMethod_bothContext`
    `static class` | `GremlinParser.TraversalMethod_bothEContext`
    `static class` | `GremlinParser.TraversalMethod_bothVContext`
    `static class` | `GremlinParser.TraversalMethod_branchContext`
    `static class` | `GremlinParser.TraversalMethod_by_ComparatorContext`
    `static class` | `GremlinParser.TraversalMethod_by_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_by_Function_ComparatorContext`
    `static class` | `GremlinParser.TraversalMethod_by_FunctionContext`
    `static class` | `GremlinParser.TraversalMethod_by_OrderContext`
    `static class` | `GremlinParser.TraversalMethod_by_String_ComparatorContext`
    `static class` | `GremlinParser.TraversalMethod_by_StringContext`
    `static class` | `GremlinParser.TraversalMethod_by_TContext`
    `static class` | `GremlinParser.TraversalMethod_by_Traversal_ComparatorContext`
    `static class` | `GremlinParser.TraversalMethod_by_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_byContext`
    `static class` | `GremlinParser.TraversalMethod_capContext`
    `static class` | `GremlinParser.TraversalMethod_choose_FunctionContext`
    `static class` | `GremlinParser.TraversalMethod_choose_Predicate_Traversal_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_choose_Predicate_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_choose_Traversal_Traversal_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_choose_Traversal_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_choose_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_chooseContext`
    `static class` | `GremlinParser.TraversalMethod_coalesceContext`
    `static class` | `GremlinParser.TraversalMethod_coinContext`
    `static class` | `GremlinParser.TraversalMethod_connectedComponentContext`
    `static class` | `GremlinParser.TraversalMethod_constantContext`
    `static class` | `GremlinParser.TraversalMethod_count_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_count_ScopeContext`
    `static class` | `GremlinParser.TraversalMethod_countContext`
    `static class` | `GremlinParser.TraversalMethod_cyclicPathContext`
    `static class` | `GremlinParser.TraversalMethod_dedup_Scope_StringContext`
    `static class` | `GremlinParser.TraversalMethod_dedup_StringContext`
    `static class` | `GremlinParser.TraversalMethod_dedupContext`
    `static class` | `GremlinParser.TraversalMethod_dropContext`
    `static class` | `GremlinParser.TraversalMethod_elementMapContext`
    `static class` | `GremlinParser.TraversalMethod_emit_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_emit_PredicateContext`
    `static class` | `GremlinParser.TraversalMethod_emit_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_emitContext`
    `static class` | `GremlinParser.TraversalMethod_filter_PredicateContext`
    `static class` | `GremlinParser.TraversalMethod_filter_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_filterContext`
    `static class` | `GremlinParser.TraversalMethod_flatMapContext`
    `static class` | `GremlinParser.TraversalMethod_fold_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_fold_Object_BiFunctionContext`
    `static class` | `GremlinParser.TraversalMethod_foldContext`
    `static class` | `GremlinParser.TraversalMethod_from_StringContext`
    `static class` | `GremlinParser.TraversalMethod_from_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_fromContext`
    `static class` | `GremlinParser.TraversalMethod_group_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_group_StringContext`
    `static class` | `GremlinParser.TraversalMethod_groupContext`
    `static class` | `GremlinParser.TraversalMethod_groupCount_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_groupCount_StringContext`
    `static class` | `GremlinParser.TraversalMethod_groupCountContext`
    `static class` | `GremlinParser.TraversalMethod_has_String_ObjectContext`
    `static class` | `GremlinParser.TraversalMethod_has_String_PContext`
    `static class` | `GremlinParser.TraversalMethod_has_String_String_ObjectContext`
    `static class` | `GremlinParser.TraversalMethod_has_String_String_PContext`
    `static class` | `GremlinParser.TraversalMethod_has_String_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_has_StringContext`
    `static class` | `GremlinParser.TraversalMethod_has_T_ObjectContext`
    `static class` | `GremlinParser.TraversalMethod_has_T_PContext`
    `static class` | `GremlinParser.TraversalMethod_has_T_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_hasContext`
    `static class` | `GremlinParser.TraversalMethod_hasId_Object_ObjectContext`
    `static class` | `GremlinParser.TraversalMethod_hasId_PContext`
    `static class` | `GremlinParser.TraversalMethod_hasIdContext`
    `static class` | `GremlinParser.TraversalMethod_hasKey_PContext`
    `static class` | `GremlinParser.TraversalMethod_hasKey_String_StringContext`
    `static class` | `GremlinParser.TraversalMethod_hasKeyContext`
    `static class` | `GremlinParser.TraversalMethod_hasLabel_PContext`
    `static class` | `GremlinParser.TraversalMethod_hasLabel_String_StringContext`
    `static class` | `GremlinParser.TraversalMethod_hasLabelContext`
    `static class` | `GremlinParser.TraversalMethod_hasNotContext`
    `static class` | `GremlinParser.TraversalMethod_hasValue_Object_ObjectContext`
    `static class` | `GremlinParser.TraversalMethod_hasValue_PContext`
    `static class` | `GremlinParser.TraversalMethod_hasValueContext`
    `static class` | `GremlinParser.TraversalMethod_idContext`
    `static class` | `GremlinParser.TraversalMethod_identityContext`
    `static class` | `GremlinParser.TraversalMethod_inContext`
    `static class` | `GremlinParser.TraversalMethod_indexContext`
    `static class` | `GremlinParser.TraversalMethod_inEContext`
    `static class` | `GremlinParser.TraversalMethod_injectContext`
    `static class` | `GremlinParser.TraversalMethod_inVContext`
    `static class` | `GremlinParser.TraversalMethod_is_ObjectContext`
    `static class` | `GremlinParser.TraversalMethod_is_PContext`
    `static class` | `GremlinParser.TraversalMethod_isContext`
    `static class` | `GremlinParser.TraversalMethod_keyContext`
    `static class` | `GremlinParser.TraversalMethod_labelContext`
    `static class` | `GremlinParser.TraversalMethod_limit_longContext`
    `static class` | `GremlinParser.TraversalMethod_limit_Scope_longContext`
    `static class` | `GremlinParser.TraversalMethod_limitContext`
    `static class` | `GremlinParser.TraversalMethod_localContext`
    `static class` | `GremlinParser.TraversalMethod_loops_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_loops_StringContext`
    `static class` | `GremlinParser.TraversalMethod_loopsContext`
    `static class` | `GremlinParser.TraversalMethod_mapContext`
    `static class` | `GremlinParser.TraversalMethod_matchContext`
    `static class` | `GremlinParser.TraversalMethod_mathContext`
    `static class` | `GremlinParser.TraversalMethod_max_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_max_ScopeContext`
    `static class` | `GremlinParser.TraversalMethod_maxContext`
    `static class` | `GremlinParser.TraversalMethod_mean_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_mean_ScopeContext`
    `static class` | `GremlinParser.TraversalMethod_meanContext`
    `static class` | `GremlinParser.TraversalMethod_min_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_min_ScopeContext`
    `static class` | `GremlinParser.TraversalMethod_minContext`
    `static class` | `GremlinParser.TraversalMethod_notContext`
    `static class` | `GremlinParser.TraversalMethod_option_Object_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_option_Predicate_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_option_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_optionalContext`
    `static class` | `GremlinParser.TraversalMethod_optionContext`
    `static class` | `GremlinParser.TraversalMethod_orContext`
    `static class` | `GremlinParser.TraversalMethod_order_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_order_ScopeContext`
    `static class` | `GremlinParser.TraversalMethod_orderContext`
    `static class` | `GremlinParser.TraversalMethod_otherVContext`
    `static class` | `GremlinParser.TraversalMethod_outContext`
    `static class` | `GremlinParser.TraversalMethod_outEContext`
    `static class` | `GremlinParser.TraversalMethod_outVContext`
    `static class` | `GremlinParser.TraversalMethod_pageRank_doubleContext`
    `static class` | `GremlinParser.TraversalMethod_pageRank_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_pageRankContext`
    `static class` | `GremlinParser.TraversalMethod_pathContext`
    `static class` | `GremlinParser.TraversalMethod_peerPressureContext`
    `static class` | `GremlinParser.TraversalMethod_profile_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_profile_StringContext`
    `static class` | `GremlinParser.TraversalMethod_profileContext`
    `static class` | `GremlinParser.TraversalMethod_projectContext`
    `static class` | `GremlinParser.TraversalMethod_propertiesContext`
    `static class` | `GremlinParser.TraversalMethod_property_Cardinality_Object_Object_ObjectContext`
    `static class` | `GremlinParser.TraversalMethod_property_Object_Object_ObjectContext`
    `static class` | `GremlinParser.TraversalMethod_propertyContext`
    `static class` | `GremlinParser.TraversalMethod_propertyMapContext`
    `static class` | `GremlinParser.TraversalMethod_range_long_longContext`
    `static class` | `GremlinParser.TraversalMethod_range_Scope_long_longContext`
    `static class` | `GremlinParser.TraversalMethod_rangeContext`
    `static class` | `GremlinParser.TraversalMethod_readContext`
    `static class` | `GremlinParser.TraversalMethod_repeat_String_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_repeat_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_repeatContext`
    `static class` | `GremlinParser.TraversalMethod_sack_BiFunctionContext`
    `static class` | `GremlinParser.TraversalMethod_sack_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_sackContext`
    `static class` | `GremlinParser.TraversalMethod_sample_intContext`
    `static class` | `GremlinParser.TraversalMethod_sample_Scope_intContext`
    `static class` | `GremlinParser.TraversalMethod_sampleContext`
    `static class` | `GremlinParser.TraversalMethod_select_ColumnContext`
    `static class` | `GremlinParser.TraversalMethod_select_Pop_String_String_StringContext`
    `static class` | `GremlinParser.TraversalMethod_select_Pop_StringContext`
    `static class` | `GremlinParser.TraversalMethod_select_Pop_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_select_String_String_StringContext`
    `static class` | `GremlinParser.TraversalMethod_select_StringContext`
    `static class` | `GremlinParser.TraversalMethod_select_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_selectContext`
    `static class` | `GremlinParser.TraversalMethod_shortestPathContext`
    `static class` | `GremlinParser.TraversalMethod_sideEffectContext`
    `static class` | `GremlinParser.TraversalMethod_simplePathContext`
    `static class` | `GremlinParser.TraversalMethod_skip_longContext`
    `static class` | `GremlinParser.TraversalMethod_skip_Scope_longContext`
    `static class` | `GremlinParser.TraversalMethod_skipContext`
    `static class` | `GremlinParser.TraversalMethod_storeContext`
    `static class` | `GremlinParser.TraversalMethod_subgraphContext`
    `static class` | `GremlinParser.TraversalMethod_sum_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_sum_ScopeContext`
    `static class` | `GremlinParser.TraversalMethod_sumContext`
    `static class` | `GremlinParser.TraversalMethod_tail_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_tail_longContext`
    `static class` | `GremlinParser.TraversalMethod_tail_Scope_longContext`
    `static class` | `GremlinParser.TraversalMethod_tail_ScopeContext`
    `static class` | `GremlinParser.TraversalMethod_tailContext`
    `static class` | `GremlinParser.TraversalMethod_timeLimitContext`
    `static class` | `GremlinParser.TraversalMethod_timesContext`
    `static class` | `GremlinParser.TraversalMethod_to_Direction_StringContext`
    `static class` | `GremlinParser.TraversalMethod_to_StringContext`
    `static class` | `GremlinParser.TraversalMethod_to_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_toContext`
    `static class` | `GremlinParser.TraversalMethod_toEContext`
    `static class` | `GremlinParser.TraversalMethod_toVContext`
    `static class` | `GremlinParser.TraversalMethod_tree_EmptyContext`
    `static class` | `GremlinParser.TraversalMethod_tree_StringContext`
    `static class` | `GremlinParser.TraversalMethod_treeContext`
    `static class` | `GremlinParser.TraversalMethod_unfoldContext`
    `static class` | `GremlinParser.TraversalMethod_unionContext`
    `static class` | `GremlinParser.TraversalMethod_until_PredicateContext`
    `static class` | `GremlinParser.TraversalMethod_until_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_untilContext`
    `static class` | `GremlinParser.TraversalMethod_valueContext`
    `static class` | `GremlinParser.TraversalMethod_valueMap_boolean_StringContext`
    `static class` | `GremlinParser.TraversalMethod_valueMap_StringContext`
    `static class` | `GremlinParser.TraversalMethod_valueMapContext`
    `static class` | `GremlinParser.TraversalMethod_valuesContext`
    `static class` | `GremlinParser.TraversalMethod_VContext`
    `static class` | `GremlinParser.TraversalMethod_where_PContext`
    `static class` | `GremlinParser.TraversalMethod_where_String_PContext`
    `static class` | `GremlinParser.TraversalMethod_where_TraversalContext`
    `static class` | `GremlinParser.TraversalMethod_whereContext`
    `static class` | `GremlinParser.TraversalMethod_with_String_ObjectContext`
    `static class` | `GremlinParser.TraversalMethod_with_StringContext`
    `static class` | `GremlinParser.TraversalMethod_withContext`
    `static class` | `GremlinParser.TraversalMethod_writeContext`
    `static class` | `GremlinParser.TraversalMethodContext`
    `static class` | `GremlinParser.TraversalOperatorContext`
    `static class` | `GremlinParser.TraversalOptionParentContext`
    `static class` | `GremlinParser.TraversalOrderContext`
    `static class` | `GremlinParser.TraversalPopContext`
    `static class` | `GremlinParser.TraversalPredicate_betweenContext`
    `static class` | `GremlinParser.TraversalPredicate_containingContext`
    `static class` | `GremlinParser.TraversalPredicate_endingWithContext`
    `static class` | `GremlinParser.TraversalPredicate_eqContext`
    `static class` | `GremlinParser.TraversalPredicate_gtContext`
    `static class` | `GremlinParser.TraversalPredicate_gteContext`
    `static class` | `GremlinParser.TraversalPredicate_insideContext`
    `static class` | `GremlinParser.TraversalPredicate_ltContext`
    `static class` | `GremlinParser.TraversalPredicate_lteContext`
    `static class` | `GremlinParser.TraversalPredicate_neqContext`
    `static class` | `GremlinParser.TraversalPredicate_notContainingContext`
    `static class` | `GremlinParser.TraversalPredicate_notContext`
    `static class` | `GremlinParser.TraversalPredicate_notEndingWithContext`
    `static class` | `GremlinParser.TraversalPredicate_notStartingWithContext`
    `static class` | `GremlinParser.TraversalPredicate_outsideContext`
    `static class` | `GremlinParser.TraversalPredicate_startingWithContext`
    `static class` | `GremlinParser.TraversalPredicate_withinContext`
    `static class` | `GremlinParser.TraversalPredicate_withoutContext`
    `static class` | `GremlinParser.TraversalPredicateContext`
    `static class` | `GremlinParser.TraversalSackMethodContext`
    `static class` | `GremlinParser.TraversalScopeContext`
    `static class` | `GremlinParser.TraversalSelfMethod_noneContext`
    `static class` | `GremlinParser.TraversalSelfMethodContext`
    `static class` | `GremlinParser.TraversalSourceContext`
    `static class` | `GremlinParser.TraversalSourceSelfMethod_withBulkContext`
    `static class` | `GremlinParser.TraversalSourceSelfMethod_withContext`
    `static class` | `GremlinParser.TraversalSourceSelfMethod_withPathContext`
    `static class` | `GremlinParser.TraversalSourceSelfMethod_withSackContext`
    `static class` | `GremlinParser.TraversalSourceSelfMethod_withSideEffectContext`
    `static class` | `GremlinParser.TraversalSourceSelfMethod_withStrategiesContext`
    `static class` | `GremlinParser.TraversalSourceSelfMethodContext`
    `static class` | `GremlinParser.TraversalSourceSpawnMethod_addEContext`
    `static class` | `GremlinParser.TraversalSourceSpawnMethod_addVContext`
    `static class` | `GremlinParser.TraversalSourceSpawnMethod_EContext`
    `static class` | `GremlinParser.TraversalSourceSpawnMethod_injectContext`
    `static class` | `GremlinParser.TraversalSourceSpawnMethod_ioContext`
    `static class` | `GremlinParser.TraversalSourceSpawnMethod_VContext`
    `static class` | `GremlinParser.TraversalSourceSpawnMethodContext`
    `static class` | `GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext`
    `static class` | `GremlinParser.TraversalStrategyArgs_PartitionStrategyContext`
    `static class` | `GremlinParser.TraversalStrategyArgs_ProductiveByStrategyContext`
    `static class` | `GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext`
    `static class` | `GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext`
    `static class` | `GremlinParser.TraversalStrategyContext`
    `static class` | `GremlinParser.TraversalStrategyExprContext`
    `static class` | `GremlinParser.TraversalStrategyListContext`
    `static class` | `GremlinParser.TraversalTerminalMethod_explainContext`
    `static class` | `GremlinParser.TraversalTerminalMethod_hasNextContext`
    `static class` | `GremlinParser.TraversalTerminalMethod_iterateContext`
    `static class` | `GremlinParser.TraversalTerminalMethod_nextContext`
    `static class` | `GremlinParser.TraversalTerminalMethod_toBulkSetContext`
    `static class` | `GremlinParser.TraversalTerminalMethod_toListContext`
    `static class` | `GremlinParser.TraversalTerminalMethod_toSetContext`
    `static class` | `GremlinParser.TraversalTerminalMethod_tryNextContext`
    `static class` | `GremlinParser.TraversalTerminalMethodContext`
    `static class` | `GremlinParser.TraversalTokenContext`
    `static class` | `GremlinParser.WithOptionsStringConstantContext`
    `static class` | `GremlinParser.WithOptionsStringConstantsContext`

    - ### Nested classes/interfaces inherited from class org.antlr.v4.runtime.Parser

      `org.antlr.v4.runtime.Parser.TraceListener, org.antlr.v4.runtime.Parser.TrimToSizeListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.antlr.v4.runtime.atn.ATN` | `_ATN`
    `protected static org.antlr.v4.runtime.dfa.DFA[]` | `_decisionToDFA`
    `static String` | `_serializedATN`
    `protected static org.antlr.v4.runtime.atn.PredictionContextCache` | `_sharedContextCache`
    `static int` | `ANON_TRAVERSAL_ROOT`
    `static int` | `BooleanLiteral`
    `static int` | `COLON`
    `static int` | `COMMA`
    `static int` | `DOT`
    `static int` | `EmptyStringLiteral`
    `static int` | `FloatingPointLiteral`
    `static int` | `IntegerLiteral`
    `static int` | `LBRACE`
    `static int` | `LBRACK`
    `static int` | `LINE_COMMENT`
    `static int` | `LPAREN`
    `static int` | `NEW`
    `static int` | `NonEmptyStringLiteral`
    `static int` | `NullLiteral`
    `static int` | `RBRACE`
    `static int` | `RBRACK`
    `static int` | `RPAREN`
    `static int` | `RULE_booleanLiteral`
    `static int` | `RULE_chainedParentOfGraphTraversal`
    `static int` | `RULE_chainedTraversal`
    `static int` | `RULE_connectedComponentConstants`
    `static int` | `RULE_connectedComponentStringConstant`
    `static int` | `RULE_dateLiteral`
    `static int` | `RULE_emptyQuery`
    `static int` | `RULE_floatLiteral`
    `static int` | `RULE_genericLiteral`
    `static int` | `RULE_genericLiteralCollection`
    `static int` | `RULE_genericLiteralExpr`
    `static int` | `RULE_genericLiteralList`
    `static int` | `RULE_genericLiteralMap`
    `static int` | `RULE_genericLiteralRange`
    `static int` | `RULE_gremlinStringConstants`
    `static int` | `RULE_gremlinStringConstants_connectedComponentStringConstants_component`
    `static int` | `RULE_gremlinStringConstants_connectedComponentStringConstants_edges`
    `static int` | `RULE_gremlinStringConstants_connectedComponentStringConstants_propertyName`
    `static int` | `RULE_gremlinStringConstants_ioOptionsStringConstants_graphml`
    `static int` | `RULE_gremlinStringConstants_ioOptionsStringConstants_graphson`
    `static int` | `RULE_gremlinStringConstants_ioOptionsStringConstants_gryo`
    `static int` | `RULE_gremlinStringConstants_ioOptionsStringConstants_reader`
    `static int` | `RULE_gremlinStringConstants_ioOptionsStringConstants_writer`
    `static int` | `RULE_gremlinStringConstants_pageRankStringConstants_edges`
    `static int` | `RULE_gremlinStringConstants_pageRankStringConstants_propertyName`
    `static int` | `RULE_gremlinStringConstants_pageRankStringConstants_times`
    `static int` | `RULE_gremlinStringConstants_peerPressureStringConstants_edges`
    `static int` | `RULE_gremlinStringConstants_peerPressureStringConstants_propertyName`
    `static int` | `RULE_gremlinStringConstants_peerPressureStringConstants_times`
    `static int` | `RULE_gremlinStringConstants_shortestPathStringConstants_distance`
    `static int` | `RULE_gremlinStringConstants_shortestPathStringConstants_edges`
    `static int` | `RULE_gremlinStringConstants_shortestPathStringConstants_includeEdges`
    `static int` | `RULE_gremlinStringConstants_shortestPathStringConstants_maxDistance`
    `static int` | `RULE_gremlinStringConstants_shortestPathStringConstants_target`
    `static int` | `RULE_gremlinStringConstants_withOptionsStringConstants_all`
    `static int` | `RULE_gremlinStringConstants_withOptionsStringConstants_ids`
    `static int` | `RULE_gremlinStringConstants_withOptionsStringConstants_indexer`
    `static int` | `RULE_gremlinStringConstants_withOptionsStringConstants_keys`
    `static int` | `RULE_gremlinStringConstants_withOptionsStringConstants_labels`
    `static int` | `RULE_gremlinStringConstants_withOptionsStringConstants_list`
    `static int` | `RULE_gremlinStringConstants_withOptionsStringConstants_map`
    `static int` | `RULE_gremlinStringConstants_withOptionsStringConstants_none`
    `static int` | `RULE_gremlinStringConstants_withOptionsStringConstants_tokens`
    `static int` | `RULE_gremlinStringConstants_withOptionsStringConstants_values`
    `static int` | `RULE_integerLiteral`
    `static int` | `RULE_ioOptionsStringConstant`
    `static int` | `RULE_ioOptionsStringConstants`
    `static int` | `RULE_nestedTraversal`
    `static int` | `RULE_nestedTraversalExpr`
    `static int` | `RULE_nestedTraversalList`
    `static int` | `RULE_nullLiteral`
    `static int` | `RULE_pageRankStringConstant`
    `static int` | `RULE_pageRankStringConstants`
    `static int` | `RULE_peerPressureStringConstant`
    `static int` | `RULE_peerPressureStringConstants`
    `static int` | `RULE_query`
    `static int` | `RULE_queryList`
    `static int` | `RULE_rootTraversal`
    `static int` | `RULE_shortestPathStringConstant`
    `static int` | `RULE_shortestPathStringConstants`
    `static int` | `RULE_stringLiteral`
    `static int` | `RULE_stringLiteralExpr`
    `static int` | `RULE_stringLiteralList`
    `static int` | `RULE_terminatedTraversal`
    `static int` | `RULE_transactionPart`
    `static int` | `RULE_traversalBiFunction`
    `static int` | `RULE_traversalCardinality`
    `static int` | `RULE_traversalColumn`
    `static int` | `RULE_traversalComparator`
    `static int` | `RULE_traversalDirection`
    `static int` | `RULE_traversalFunction`
    `static int` | `RULE_traversalMethod`
    `static int` | `RULE_traversalMethod_addE`
    `static int` | `RULE_traversalMethod_addV`
    `static int` | `RULE_traversalMethod_aggregate`
    `static int` | `RULE_traversalMethod_and`
    `static int` | `RULE_traversalMethod_as`
    `static int` | `RULE_traversalMethod_barrier`
    `static int` | `RULE_traversalMethod_both`
    `static int` | `RULE_traversalMethod_bothE`
    `static int` | `RULE_traversalMethod_bothV`
    `static int` | `RULE_traversalMethod_branch`
    `static int` | `RULE_traversalMethod_by`
    `static int` | `RULE_traversalMethod_cap`
    `static int` | `RULE_traversalMethod_choose`
    `static int` | `RULE_traversalMethod_coalesce`
    `static int` | `RULE_traversalMethod_coin`
    `static int` | `RULE_traversalMethod_connectedComponent`
    `static int` | `RULE_traversalMethod_constant`
    `static int` | `RULE_traversalMethod_count`
    `static int` | `RULE_traversalMethod_cyclicPath`
    `static int` | `RULE_traversalMethod_dedup`
    `static int` | `RULE_traversalMethod_drop`
    `static int` | `RULE_traversalMethod_elementMap`
    `static int` | `RULE_traversalMethod_emit`
    `static int` | `RULE_traversalMethod_filter`
    `static int` | `RULE_traversalMethod_flatMap`
    `static int` | `RULE_traversalMethod_fold`
    `static int` | `RULE_traversalMethod_from`
    `static int` | `RULE_traversalMethod_group`
    `static int` | `RULE_traversalMethod_groupCount`
    `static int` | `RULE_traversalMethod_has`
    `static int` | `RULE_traversalMethod_hasId`
    `static int` | `RULE_traversalMethod_hasKey`
    `static int` | `RULE_traversalMethod_hasLabel`
    `static int` | `RULE_traversalMethod_hasNot`
    `static int` | `RULE_traversalMethod_hasValue`
    `static int` | `RULE_traversalMethod_id`
    `static int` | `RULE_traversalMethod_identity`
    `static int` | `RULE_traversalMethod_in`
    `static int` | `RULE_traversalMethod_index`
    `static int` | `RULE_traversalMethod_inE`
    `static int` | `RULE_traversalMethod_inject`
    `static int` | `RULE_traversalMethod_inV`
    `static int` | `RULE_traversalMethod_is`
    `static int` | `RULE_traversalMethod_key`
    `static int` | `RULE_traversalMethod_label`
    `static int` | `RULE_traversalMethod_limit`
    `static int` | `RULE_traversalMethod_local`
    `static int` | `RULE_traversalMethod_loops`
    `static int` | `RULE_traversalMethod_map`
    `static int` | `RULE_traversalMethod_match`
    `static int` | `RULE_traversalMethod_math`
    `static int` | `RULE_traversalMethod_max`
    `static int` | `RULE_traversalMethod_mean`
    `static int` | `RULE_traversalMethod_min`
    `static int` | `RULE_traversalMethod_not`
    `static int` | `RULE_traversalMethod_option`
    `static int` | `RULE_traversalMethod_optional`
    `static int` | `RULE_traversalMethod_or`
    `static int` | `RULE_traversalMethod_order`
    `static int` | `RULE_traversalMethod_otherV`
    `static int` | `RULE_traversalMethod_out`
    `static int` | `RULE_traversalMethod_outE`
    `static int` | `RULE_traversalMethod_outV`
    `static int` | `RULE_traversalMethod_pageRank`
    `static int` | `RULE_traversalMethod_path`
    `static int` | `RULE_traversalMethod_peerPressure`
    `static int` | `RULE_traversalMethod_profile`
    `static int` | `RULE_traversalMethod_project`
    `static int` | `RULE_traversalMethod_properties`
    `static int` | `RULE_traversalMethod_property`
    `static int` | `RULE_traversalMethod_propertyMap`
    `static int` | `RULE_traversalMethod_range`
    `static int` | `RULE_traversalMethod_read`
    `static int` | `RULE_traversalMethod_repeat`
    `static int` | `RULE_traversalMethod_sack`
    `static int` | `RULE_traversalMethod_sample`
    `static int` | `RULE_traversalMethod_select`
    `static int` | `RULE_traversalMethod_shortestPath`
    `static int` | `RULE_traversalMethod_sideEffect`
    `static int` | `RULE_traversalMethod_simplePath`
    `static int` | `RULE_traversalMethod_skip`
    `static int` | `RULE_traversalMethod_store`
    `static int` | `RULE_traversalMethod_subgraph`
    `static int` | `RULE_traversalMethod_sum`
    `static int` | `RULE_traversalMethod_tail`
    `static int` | `RULE_traversalMethod_timeLimit`
    `static int` | `RULE_traversalMethod_times`
    `static int` | `RULE_traversalMethod_to`
    `static int` | `RULE_traversalMethod_toE`
    `static int` | `RULE_traversalMethod_toV`
    `static int` | `RULE_traversalMethod_tree`
    `static int` | `RULE_traversalMethod_unfold`
    `static int` | `RULE_traversalMethod_union`
    `static int` | `RULE_traversalMethod_until`
    `static int` | `RULE_traversalMethod_V`
    `static int` | `RULE_traversalMethod_value`
    `static int` | `RULE_traversalMethod_valueMap`
    `static int` | `RULE_traversalMethod_values`
    `static int` | `RULE_traversalMethod_where`
    `static int` | `RULE_traversalMethod_with`
    `static int` | `RULE_traversalMethod_write`
    `static int` | `RULE_traversalOperator`
    `static int` | `RULE_traversalOptionParent`
    `static int` | `RULE_traversalOrder`
    `static int` | `RULE_traversalPop`
    `static int` | `RULE_traversalPredicate`
    `static int` | `RULE_traversalPredicate_between`
    `static int` | `RULE_traversalPredicate_containing`
    `static int` | `RULE_traversalPredicate_endingWith`
    `static int` | `RULE_traversalPredicate_eq`
    `static int` | `RULE_traversalPredicate_gt`
    `static int` | `RULE_traversalPredicate_gte`
    `static int` | `RULE_traversalPredicate_inside`
    `static int` | `RULE_traversalPredicate_lt`
    `static int` | `RULE_traversalPredicate_lte`
    `static int` | `RULE_traversalPredicate_neq`
    `static int` | `RULE_traversalPredicate_not`
    `static int` | `RULE_traversalPredicate_notContaining`
    `static int` | `RULE_traversalPredicate_notEndingWith`
    `static int` | `RULE_traversalPredicate_notStartingWith`
    `static int` | `RULE_traversalPredicate_outside`
    `static int` | `RULE_traversalPredicate_startingWith`
    `static int` | `RULE_traversalPredicate_within`
    `static int` | `RULE_traversalPredicate_without`
    `static int` | `RULE_traversalSackMethod`
    `static int` | `RULE_traversalScope`
    `static int` | `RULE_traversalSelfMethod`
    `static int` | `RULE_traversalSelfMethod_none`
    `static int` | `RULE_traversalSource`
    `static int` | `RULE_traversalSourceSelfMethod`
    `static int` | `RULE_traversalSourceSelfMethod_with`
    `static int` | `RULE_traversalSourceSelfMethod_withBulk`
    `static int` | `RULE_traversalSourceSelfMethod_withPath`
    `static int` | `RULE_traversalSourceSelfMethod_withSack`
    `static int` | `RULE_traversalSourceSelfMethod_withSideEffect`
    `static int` | `RULE_traversalSourceSelfMethod_withStrategies`
    `static int` | `RULE_traversalSourceSpawnMethod`
    `static int` | `RULE_traversalSourceSpawnMethod_addE`
    `static int` | `RULE_traversalSourceSpawnMethod_addV`
    `static int` | `RULE_traversalSourceSpawnMethod_E`
    `static int` | `RULE_traversalSourceSpawnMethod_inject`
    `static int` | `RULE_traversalSourceSpawnMethod_io`
    `static int` | `RULE_traversalSourceSpawnMethod_V`
    `static int` | `RULE_traversalStrategy`
    `static int` | `RULE_traversalStrategyArgs_EdgeLabelVerificationStrategy`
    `static int` | `RULE_traversalStrategyArgs_PartitionStrategy`
    `static int` | `RULE_traversalStrategyArgs_ProductiveByStrategy`
    `static int` | `RULE_traversalStrategyArgs_ReservedKeysVerificationStrategy`
    `static int` | `RULE_traversalStrategyArgs_SubgraphStrategy`
    `static int` | `RULE_traversalStrategyExpr`
    `static int` | `RULE_traversalStrategyList`
    `static int` | `RULE_traversalTerminalMethod`
    `static int` | `RULE_traversalTerminalMethod_explain`
    `static int` | `RULE_traversalTerminalMethod_hasNext`
    `static int` | `RULE_traversalTerminalMethod_iterate`
    `static int` | `RULE_traversalTerminalMethod_next`
    `static int` | `RULE_traversalTerminalMethod_toBulkSet`
    `static int` | `RULE_traversalTerminalMethod_toList`
    `static int` | `RULE_traversalTerminalMethod_toSet`
    `static int` | `RULE_traversalTerminalMethod_tryNext`
    `static int` | `RULE_traversalToken`
    `static int` | `RULE_withOptionsStringConstant`
    `static int` | `RULE_withOptionsStringConstants`
    `static String[]` | `ruleNames`
    `static int` | `SEMI`
    `static int` | `T__0`
    `static int` | `T__1`
    `static int` | `T__10`
    `static int` | `T__100`
    `static int` | `T__101`
    `static int` | `T__102`
    `static int` | `T__103`
    `static int` | `T__104`
    `static int` | `T__105`
    `static int` | `T__106`
    `static int` | `T__107`
    `static int` | `T__108`
    `static int` | `T__109`
    `static int` | `T__11`
    `static int` | `T__110`
    `static int` | `T__111`
    `static int` | `T__112`
    `static int` | `T__113`
    `static int` | `T__114`
    `static int` | `T__115`
    `static int` | `T__116`
    `static int` | `T__117`
    `static int` | `T__118`
    `static int` | `T__119`
    `static int` | `T__12`
    `static int` | `T__120`
    `static int` | `T__121`
    `static int` | `T__122`
    `static int` | `T__123`
    `static int` | `T__124`
    `static int` | `T__125`
    `static int` | `T__126`
    `static int` | `T__127`
    `static int` | `T__128`
    `static int` | `T__129`
    `static int` | `T__13`
    `static int` | `T__130`
    `static int` | `T__131`
    `static int` | `T__132`
    `static int` | `T__133`
    `static int` | `T__134`
    `static int` | `T__135`
    `static int` | `T__136`
    `static int` | `T__137`
    `static int` | `T__138`
    `static int` | `T__139`
    `static int` | `T__14`
    `static int` | `T__140`
    `static int` | `T__141`
    `static int` | `T__142`
    `static int` | `T__143`
    `static int` | `T__144`
    `static int` | `T__145`
    `static int` | `T__146`
    `static int` | `T__147`
    `static int` | `T__148`
    `static int` | `T__149`
    `static int` | `T__15`
    `static int` | `T__150`
    `static int` | `T__151`
    `static int` | `T__152`
    `static int` | `T__153`
    `static int` | `T__154`
    `static int` | `T__155`
    `static int` | `T__156`
    `static int` | `T__157`
    `static int` | `T__158`
    `static int` | `T__159`
    `static int` | `T__16`
    `static int` | `T__160`
    `static int` | `T__161`
    `static int` | `T__162`
    `static int` | `T__163`
    `static int` | `T__164`
    `static int` | `T__165`
    `static int` | `T__166`
    `static int` | `T__167`
    `static int` | `T__168`
    `static int` | `T__169`
    `static int` | `T__17`
    `static int` | `T__170`
    `static int` | `T__171`
    `static int` | `T__172`
    `static int` | `T__173`
    `static int` | `T__174`
    `static int` | `T__175`
    `static int` | `T__176`
    `static int` | `T__177`
    `static int` | `T__178`
    `static int` | `T__179`
    `static int` | `T__18`
    `static int` | `T__180`
    `static int` | `T__181`
    `static int` | `T__182`
    `static int` | `T__183`
    `static int` | `T__184`
    `static int` | `T__185`
    `static int` | `T__186`
    `static int` | `T__187`
    `static int` | `T__188`
    `static int` | `T__189`
    `static int` | `T__19`
    `static int` | `T__190`
    `static int` | `T__191`
    `static int` | `T__192`
    `static int` | `T__193`
    `static int` | `T__194`
    `static int` | `T__195`
    `static int` | `T__196`
    `static int` | `T__197`
    `static int` | `T__198`
    `static int` | `T__199`
    `static int` | `T__2`
    `static int` | `T__20`
    `static int` | `T__200`
    `static int` | `T__201`
    `static int` | `T__202`
    `static int` | `T__203`
    `static int` | `T__204`
    `static int` | `T__205`
    `static int` | `T__206`
    `static int` | `T__207`
    `static int` | `T__208`
    `static int` | `T__209`
    `static int` | `T__21`
    `static int` | `T__210`
    `static int` | `T__211`
    `static int` | `T__212`
    `static int` | `T__213`
    `static int` | `T__214`
    `static int` | `T__215`
    `static int` | `T__216`
    `static int` | `T__217`
    `static int` | `T__218`
    `static int` | `T__219`
    `static int` | `T__22`
    `static int` | `T__220`
    `static int` | `T__221`
    `static int` | `T__222`
    `static int` | `T__223`
    `static int` | `T__224`
    `static int` | `T__225`
    `static int` | `T__226`
    `static int` | `T__227`
    `static int` | `T__228`
    `static int` | `T__229`
    `static int` | `T__23`
    `static int` | `T__230`
    `static int` | `T__231`
    `static int` | `T__232`
    `static int` | `T__233`
    `static int` | `T__234`
    `static int` | `T__235`
    `static int` | `T__236`
    `static int` | `T__237`
    `static int` | `T__238`
    `static int` | `T__239`
    `static int` | `T__24`
    `static int` | `T__240`
    `static int` | `T__241`
    `static int` | `T__242`
    `static int` | `T__243`
    `static int` | `T__244`
    `static int` | `T__245`
    `static int` | `T__246`
    `static int` | `T__247`
    `static int` | `T__248`
    `static int` | `T__249`
    `static int` | `T__25`
    `static int` | `T__250`
    `static int` | `T__251`
    `static int` | `T__252`
    `static int` | `T__253`
    `static int` | `T__254`
    `static int` | `T__255`
    `static int` | `T__256`
    `static int` | `T__257`
    `static int` | `T__258`
    `static int` | `T__259`
    `static int` | `T__26`
    `static int` | `T__260`
    `static int` | `T__27`
    `static int` | `T__28`
    `static int` | `T__29`
    `static int` | `T__3`
    `static int` | `T__30`
    `static int` | `T__31`
    `static int` | `T__32`
    `static int` | `T__33`
    `static int` | `T__34`
    `static int` | `T__35`
    `static int` | `T__36`
    `static int` | `T__37`
    `static int` | `T__38`
    `static int` | `T__39`
    `static int` | `T__4`
    `static int` | `T__40`
    `static int` | `T__41`
    `static int` | `T__42`
    `static int` | `T__43`
    `static int` | `T__44`
    `static int` | `T__45`
    `static int` | `T__46`
    `static int` | `T__47`
    `static int` | `T__48`
    `static int` | `T__49`
    `static int` | `T__5`
    `static int` | `T__50`
    `static int` | `T__51`
    `static int` | `T__52`
    `static int` | `T__53`
    `static int` | `T__54`
    `static int` | `T__55`
    `static int` | `T__56`
    `static int` | `T__57`
    `static int` | `T__58`
    `static int` | `T__59`
    `static int` | `T__6`
    `static int` | `T__60`
    `static int` | `T__61`
    `static int` | `T__62`
    `static int` | `T__63`
    `static int` | `T__64`
    `static int` | `T__65`
    `static int` | `T__66`
    `static int` | `T__67`
    `static int` | `T__68`
    `static int` | `T__69`
    `static int` | `T__7`
    `static int` | `T__70`
    `static int` | `T__71`
    `static int` | `T__72`
    `static int` | `T__73`
    `static int` | `T__74`
    `static int` | `T__75`
    `static int` | `T__76`
    `static int` | `T__77`
    `static int` | `T__78`
    `static int` | `T__79`
    `static int` | `T__8`
    `static int` | `T__80`
    `static int` | `T__81`
    `static int` | `T__82`
    `static int` | `T__83`
    `static int` | `T__84`
    `static int` | `T__85`
    `static int` | `T__86`
    `static int` | `T__87`
    `static int` | `T__88`
    `static int` | `T__89`
    `static int` | `T__9`
    `static int` | `T__90`
    `static int` | `T__91`
    `static int` | `T__92`
    `static int` | `T__93`
    `static int` | `T__94`
    `static int` | `T__95`
    `static int` | `T__96`
    `static int` | `T__97`
    `static int` | `T__98`
    `static int` | `T__99`
    `static String[]` | `tokenNames` Deprecated. Use `VOCABULARY` instead.
    `static int` | `TRAVERSAL_ROOT`
    `static org.antlr.v4.runtime.Vocabulary` | `VOCABULARY`
    `static int` | `WS`

    - ### Fields inherited from class org.antlr.v4.runtime.Parser

      `_buildParseTrees, _ctx, _errHandler, _input, _parseListeners, _precedenceStack, _syntaxErrors, matchedEOF`

    - ### Fields inherited from class org.antlr.v4.runtime.Recognizer

      `_interp, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinParser(org.antlr.v4.runtime.TokenStream input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GremlinParser.BooleanLiteralContext` | `booleanLiteral()`
    `GremlinParser.ChainedParentOfGraphTraversalContext` | `chainedParentOfGraphTraversal()`
    `GremlinParser.ChainedTraversalContext` | `chainedTraversal()`
    `GremlinParser.ConnectedComponentConstantsContext` | `connectedComponentConstants()`
    `GremlinParser.ConnectedComponentStringConstantContext` | `connectedComponentStringConstant()`
    `GremlinParser.DateLiteralContext` | `dateLiteral()`
    `GremlinParser.EmptyQueryContext` | `emptyQuery()`
    `GremlinParser.FloatLiteralContext` | `floatLiteral()`
    `GremlinParser.GenericLiteralContext` | `genericLiteral()`
    `GremlinParser.GenericLiteralCollectionContext` | `genericLiteralCollection()`
    `GremlinParser.GenericLiteralExprContext` | `genericLiteralExpr()`
    `GremlinParser.GenericLiteralListContext` | `genericLiteralList()`
    `GremlinParser.GenericLiteralMapContext` | `genericLiteralMap()`
    `GremlinParser.GenericLiteralRangeContext` | `genericLiteralRange()`
    `org.antlr.v4.runtime.atn.ATN` | `getATN()`
    `String` | `getGrammarFileName()`
    `String[]` | `getRuleNames()`
    `String` | `getSerializedATN()`
    `String[]` | `getTokenNames()` Deprecated.
    `org.antlr.v4.runtime.Vocabulary` | `getVocabulary()`
    `GremlinParser.GremlinStringConstants_connectedComponentStringConstants_componentContext` | `gremlinStringConstants_connectedComponentStringConstants_component()`
    `GremlinParser.GremlinStringConstants_connectedComponentStringConstants_edgesContext` | `gremlinStringConstants_connectedComponentStringConstants_edges()`
    `GremlinParser.GremlinStringConstants_connectedComponentStringConstants_propertyNameContext` | `gremlinStringConstants_connectedComponentStringConstants_propertyName()`
    `GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphmlContext` | `gremlinStringConstants_ioOptionsStringConstants_graphml()`
    `GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphsonContext` | `gremlinStringConstants_ioOptionsStringConstants_graphson()`
    `GremlinParser.GremlinStringConstants_ioOptionsStringConstants_gryoContext` | `gremlinStringConstants_ioOptionsStringConstants_gryo()`
    `GremlinParser.GremlinStringConstants_ioOptionsStringConstants_readerContext` | `gremlinStringConstants_ioOptionsStringConstants_reader()`
    `GremlinParser.GremlinStringConstants_ioOptionsStringConstants_writerContext` | `gremlinStringConstants_ioOptionsStringConstants_writer()`
    `GremlinParser.GremlinStringConstants_pageRankStringConstants_edgesContext` | `gremlinStringConstants_pageRankStringConstants_edges()`
    `GremlinParser.GremlinStringConstants_pageRankStringConstants_propertyNameContext` | `gremlinStringConstants_pageRankStringConstants_propertyName()`
    `GremlinParser.GremlinStringConstants_pageRankStringConstants_timesContext` | `gremlinStringConstants_pageRankStringConstants_times()`
    `GremlinParser.GremlinStringConstants_peerPressureStringConstants_edgesContext` | `gremlinStringConstants_peerPressureStringConstants_edges()`
    `GremlinParser.GremlinStringConstants_peerPressureStringConstants_propertyNameContext` | `gremlinStringConstants_peerPressureStringConstants_propertyName()`
    `GremlinParser.GremlinStringConstants_peerPressureStringConstants_timesContext` | `gremlinStringConstants_peerPressureStringConstants_times()`
    `GremlinParser.GremlinStringConstants_shortestPathStringConstants_distanceContext` | `gremlinStringConstants_shortestPathStringConstants_distance()`
    `GremlinParser.GremlinStringConstants_shortestPathStringConstants_edgesContext` | `gremlinStringConstants_shortestPathStringConstants_edges()`
    `GremlinParser.GremlinStringConstants_shortestPathStringConstants_includeEdgesContext` | `gremlinStringConstants_shortestPathStringConstants_includeEdges()`
    `GremlinParser.GremlinStringConstants_shortestPathStringConstants_maxDistanceContext` | `gremlinStringConstants_shortestPathStringConstants_maxDistance()`
    `GremlinParser.GremlinStringConstants_shortestPathStringConstants_targetContext` | `gremlinStringConstants_shortestPathStringConstants_target()`
    `GremlinParser.GremlinStringConstants_withOptionsStringConstants_allContext` | `gremlinStringConstants_withOptionsStringConstants_all()`
    `GremlinParser.GremlinStringConstants_withOptionsStringConstants_idsContext` | `gremlinStringConstants_withOptionsStringConstants_ids()`
    `GremlinParser.GremlinStringConstants_withOptionsStringConstants_indexerContext` | `gremlinStringConstants_withOptionsStringConstants_indexer()`
    `GremlinParser.GremlinStringConstants_withOptionsStringConstants_keysContext` | `gremlinStringConstants_withOptionsStringConstants_keys()`
    `GremlinParser.GremlinStringConstants_withOptionsStringConstants_labelsContext` | `gremlinStringConstants_withOptionsStringConstants_labels()`
    `GremlinParser.GremlinStringConstants_withOptionsStringConstants_listContext` | `gremlinStringConstants_withOptionsStringConstants_list()`
    `GremlinParser.GremlinStringConstants_withOptionsStringConstants_mapContext` | `gremlinStringConstants_withOptionsStringConstants_map()`
    `GremlinParser.GremlinStringConstants_withOptionsStringConstants_noneContext` | `gremlinStringConstants_withOptionsStringConstants_none()`
    `GremlinParser.GremlinStringConstants_withOptionsStringConstants_tokensContext` | `gremlinStringConstants_withOptionsStringConstants_tokens()`
    `GremlinParser.GremlinStringConstants_withOptionsStringConstants_valuesContext` | `gremlinStringConstants_withOptionsStringConstants_values()`
    `GremlinParser.GremlinStringConstantsContext` | `gremlinStringConstants()`
    `GremlinParser.IntegerLiteralContext` | `integerLiteral()`
    `GremlinParser.IoOptionsStringConstantContext` | `ioOptionsStringConstant()`
    `GremlinParser.IoOptionsStringConstantsContext` | `ioOptionsStringConstants()`
    `GremlinParser.NestedTraversalContext` | `nestedTraversal()`
    `GremlinParser.NestedTraversalExprContext` | `nestedTraversalExpr()`
    `GremlinParser.NestedTraversalListContext` | `nestedTraversalList()`
    `GremlinParser.NullLiteralContext` | `nullLiteral()`
    `GremlinParser.PageRankStringConstantContext` | `pageRankStringConstant()`
    `GremlinParser.PageRankStringConstantsContext` | `pageRankStringConstants()`
    `GremlinParser.PeerPressureStringConstantContext` | `peerPressureStringConstant()`
    `GremlinParser.PeerPressureStringConstantsContext` | `peerPressureStringConstants()`
    `GremlinParser.QueryContext` | `query()`
    `GremlinParser.QueryListContext` | `queryList()`
    `GremlinParser.RootTraversalContext` | `rootTraversal()`
    `boolean` | `sempred(org.antlr.v4.runtime.RuleContext _localctx, int ruleIndex, int predIndex)`
    `GremlinParser.ShortestPathStringConstantContext` | `shortestPathStringConstant()`
    `GremlinParser.ShortestPathStringConstantsContext` | `shortestPathStringConstants()`
    `GremlinParser.StringLiteralContext` | `stringLiteral()`
    `GremlinParser.StringLiteralExprContext` | `stringLiteralExpr()`
    `GremlinParser.StringLiteralListContext` | `stringLiteralList()`
    `GremlinParser.TerminatedTraversalContext` | `terminatedTraversal()`
    `GremlinParser.TransactionPartContext` | `transactionPart()`
    `GremlinParser.TraversalBiFunctionContext` | `traversalBiFunction()`
    `GremlinParser.TraversalCardinalityContext` | `traversalCardinality()`
    `GremlinParser.TraversalColumnContext` | `traversalColumn()`
    `GremlinParser.TraversalComparatorContext` | `traversalComparator()`
    `GremlinParser.TraversalDirectionContext` | `traversalDirection()`
    `GremlinParser.TraversalFunctionContext` | `traversalFunction()`
    `GremlinParser.TraversalMethod_addEContext` | `traversalMethod_addE()`
    `GremlinParser.TraversalMethod_addVContext` | `traversalMethod_addV()`
    `GremlinParser.TraversalMethod_aggregateContext` | `traversalMethod_aggregate()`
    `GremlinParser.TraversalMethod_andContext` | `traversalMethod_and()`
    `GremlinParser.TraversalMethod_asContext` | `traversalMethod_as()`
    `GremlinParser.TraversalMethod_barrierContext` | `traversalMethod_barrier()`
    `GremlinParser.TraversalMethod_bothContext` | `traversalMethod_both()`
    `GremlinParser.TraversalMethod_bothEContext` | `traversalMethod_bothE()`
    `GremlinParser.TraversalMethod_bothVContext` | `traversalMethod_bothV()`
    `GremlinParser.TraversalMethod_branchContext` | `traversalMethod_branch()`
    `GremlinParser.TraversalMethod_byContext` | `traversalMethod_by()`
    `GremlinParser.TraversalMethod_capContext` | `traversalMethod_cap()`
    `GremlinParser.TraversalMethod_chooseContext` | `traversalMethod_choose()`
    `GremlinParser.TraversalMethod_coalesceContext` | `traversalMethod_coalesce()`
    `GremlinParser.TraversalMethod_coinContext` | `traversalMethod_coin()`
    `GremlinParser.TraversalMethod_connectedComponentContext` | `traversalMethod_connectedComponent()`
    `GremlinParser.TraversalMethod_constantContext` | `traversalMethod_constant()`
    `GremlinParser.TraversalMethod_countContext` | `traversalMethod_count()`
    `GremlinParser.TraversalMethod_cyclicPathContext` | `traversalMethod_cyclicPath()`
    `GremlinParser.TraversalMethod_dedupContext` | `traversalMethod_dedup()`
    `GremlinParser.TraversalMethod_dropContext` | `traversalMethod_drop()`
    `GremlinParser.TraversalMethod_elementMapContext` | `traversalMethod_elementMap()`
    `GremlinParser.TraversalMethod_emitContext` | `traversalMethod_emit()`
    `GremlinParser.TraversalMethod_filterContext` | `traversalMethod_filter()`
    `GremlinParser.TraversalMethod_flatMapContext` | `traversalMethod_flatMap()`
    `GremlinParser.TraversalMethod_foldContext` | `traversalMethod_fold()`
    `GremlinParser.TraversalMethod_fromContext` | `traversalMethod_from()`
    `GremlinParser.TraversalMethod_groupContext` | `traversalMethod_group()`
    `GremlinParser.TraversalMethod_groupCountContext` | `traversalMethod_groupCount()`
    `GremlinParser.TraversalMethod_hasContext` | `traversalMethod_has()`
    `GremlinParser.TraversalMethod_hasIdContext` | `traversalMethod_hasId()`
    `GremlinParser.TraversalMethod_hasKeyContext` | `traversalMethod_hasKey()`
    `GremlinParser.TraversalMethod_hasLabelContext` | `traversalMethod_hasLabel()`
    `GremlinParser.TraversalMethod_hasNotContext` | `traversalMethod_hasNot()`
    `GremlinParser.TraversalMethod_hasValueContext` | `traversalMethod_hasValue()`
    `GremlinParser.TraversalMethod_idContext` | `traversalMethod_id()`
    `GremlinParser.TraversalMethod_identityContext` | `traversalMethod_identity()`
    `GremlinParser.TraversalMethod_inContext` | `traversalMethod_in()`
    `GremlinParser.TraversalMethod_indexContext` | `traversalMethod_index()`
    `GremlinParser.TraversalMethod_inEContext` | `traversalMethod_inE()`
    `GremlinParser.TraversalMethod_injectContext` | `traversalMethod_inject()`
    `GremlinParser.TraversalMethod_inVContext` | `traversalMethod_inV()`
    `GremlinParser.TraversalMethod_isContext` | `traversalMethod_is()`
    `GremlinParser.TraversalMethod_keyContext` | `traversalMethod_key()`
    `GremlinParser.TraversalMethod_labelContext` | `traversalMethod_label()`
    `GremlinParser.TraversalMethod_limitContext` | `traversalMethod_limit()`
    `GremlinParser.TraversalMethod_localContext` | `traversalMethod_local()`
    `GremlinParser.TraversalMethod_loopsContext` | `traversalMethod_loops()`
    `GremlinParser.TraversalMethod_mapContext` | `traversalMethod_map()`
    `GremlinParser.TraversalMethod_matchContext` | `traversalMethod_match()`
    `GremlinParser.TraversalMethod_mathContext` | `traversalMethod_math()`
    `GremlinParser.TraversalMethod_maxContext` | `traversalMethod_max()`
    `GremlinParser.TraversalMethod_meanContext` | `traversalMethod_mean()`
    `GremlinParser.TraversalMethod_minContext` | `traversalMethod_min()`
    `GremlinParser.TraversalMethod_notContext` | `traversalMethod_not()`
    `GremlinParser.TraversalMethod_optionContext` | `traversalMethod_option()`
    `GremlinParser.TraversalMethod_optionalContext` | `traversalMethod_optional()`
    `GremlinParser.TraversalMethod_orContext` | `traversalMethod_or()`
    `GremlinParser.TraversalMethod_orderContext` | `traversalMethod_order()`
    `GremlinParser.TraversalMethod_otherVContext` | `traversalMethod_otherV()`
    `GremlinParser.TraversalMethod_outContext` | `traversalMethod_out()`
    `GremlinParser.TraversalMethod_outEContext` | `traversalMethod_outE()`
    `GremlinParser.TraversalMethod_outVContext` | `traversalMethod_outV()`
    `GremlinParser.TraversalMethod_pageRankContext` | `traversalMethod_pageRank()`
    `GremlinParser.TraversalMethod_pathContext` | `traversalMethod_path()`
    `GremlinParser.TraversalMethod_peerPressureContext` | `traversalMethod_peerPressure()`
    `GremlinParser.TraversalMethod_profileContext` | `traversalMethod_profile()`
    `GremlinParser.TraversalMethod_projectContext` | `traversalMethod_project()`
    `GremlinParser.TraversalMethod_propertiesContext` | `traversalMethod_properties()`
    `GremlinParser.TraversalMethod_propertyContext` | `traversalMethod_property()`
    `GremlinParser.TraversalMethod_propertyMapContext` | `traversalMethod_propertyMap()`
    `GremlinParser.TraversalMethod_rangeContext` | `traversalMethod_range()`
    `GremlinParser.TraversalMethod_readContext` | `traversalMethod_read()`
    `GremlinParser.TraversalMethod_repeatContext` | `traversalMethod_repeat()`
    `GremlinParser.TraversalMethod_sackContext` | `traversalMethod_sack()`
    `GremlinParser.TraversalMethod_sampleContext` | `traversalMethod_sample()`
    `GremlinParser.TraversalMethod_selectContext` | `traversalMethod_select()`
    `GremlinParser.TraversalMethod_shortestPathContext` | `traversalMethod_shortestPath()`
    `GremlinParser.TraversalMethod_sideEffectContext` | `traversalMethod_sideEffect()`
    `GremlinParser.TraversalMethod_simplePathContext` | `traversalMethod_simplePath()`
    `GremlinParser.TraversalMethod_skipContext` | `traversalMethod_skip()`
    `GremlinParser.TraversalMethod_storeContext` | `traversalMethod_store()`
    `GremlinParser.TraversalMethod_subgraphContext` | `traversalMethod_subgraph()`
    `GremlinParser.TraversalMethod_sumContext` | `traversalMethod_sum()`
    `GremlinParser.TraversalMethod_tailContext` | `traversalMethod_tail()`
    `GremlinParser.TraversalMethod_timeLimitContext` | `traversalMethod_timeLimit()`
    `GremlinParser.TraversalMethod_timesContext` | `traversalMethod_times()`
    `GremlinParser.TraversalMethod_toContext` | `traversalMethod_to()`
    `GremlinParser.TraversalMethod_toEContext` | `traversalMethod_toE()`
    `GremlinParser.TraversalMethod_toVContext` | `traversalMethod_toV()`
    `GremlinParser.TraversalMethod_treeContext` | `traversalMethod_tree()`
    `GremlinParser.TraversalMethod_unfoldContext` | `traversalMethod_unfold()`
    `GremlinParser.TraversalMethod_unionContext` | `traversalMethod_union()`
    `GremlinParser.TraversalMethod_untilContext` | `traversalMethod_until()`
    `GremlinParser.TraversalMethod_VContext` | `traversalMethod_V()`
    `GremlinParser.TraversalMethod_valueContext` | `traversalMethod_value()`
    `GremlinParser.TraversalMethod_valueMapContext` | `traversalMethod_valueMap()`
    `GremlinParser.TraversalMethod_valuesContext` | `traversalMethod_values()`
    `GremlinParser.TraversalMethod_whereContext` | `traversalMethod_where()`
    `GremlinParser.TraversalMethod_withContext` | `traversalMethod_with()`
    `GremlinParser.TraversalMethod_writeContext` | `traversalMethod_write()`
    `GremlinParser.TraversalMethodContext` | `traversalMethod()`
    `GremlinParser.TraversalOperatorContext` | `traversalOperator()`
    `GremlinParser.TraversalOptionParentContext` | `traversalOptionParent()`
    `GremlinParser.TraversalOrderContext` | `traversalOrder()`
    `GremlinParser.TraversalPopContext` | `traversalPop()`
    `GremlinParser.TraversalPredicate_betweenContext` | `traversalPredicate_between()`
    `GremlinParser.TraversalPredicate_containingContext` | `traversalPredicate_containing()`
    `GremlinParser.TraversalPredicate_endingWithContext` | `traversalPredicate_endingWith()`
    `GremlinParser.TraversalPredicate_eqContext` | `traversalPredicate_eq()`
    `GremlinParser.TraversalPredicate_gtContext` | `traversalPredicate_gt()`
    `GremlinParser.TraversalPredicate_gteContext` | `traversalPredicate_gte()`
    `GremlinParser.TraversalPredicate_insideContext` | `traversalPredicate_inside()`
    `GremlinParser.TraversalPredicate_ltContext` | `traversalPredicate_lt()`
    `GremlinParser.TraversalPredicate_lteContext` | `traversalPredicate_lte()`
    `GremlinParser.TraversalPredicate_neqContext` | `traversalPredicate_neq()`
    `GremlinParser.TraversalPredicate_notContext` | `traversalPredicate_not()`
    `GremlinParser.TraversalPredicate_notContainingContext` | `traversalPredicate_notContaining()`
    `GremlinParser.TraversalPredicate_notEndingWithContext` | `traversalPredicate_notEndingWith()`
    `GremlinParser.TraversalPredicate_notStartingWithContext` | `traversalPredicate_notStartingWith()`
    `GremlinParser.TraversalPredicate_outsideContext` | `traversalPredicate_outside()`
    `GremlinParser.TraversalPredicate_startingWithContext` | `traversalPredicate_startingWith()`
    `GremlinParser.TraversalPredicate_withinContext` | `traversalPredicate_within()`
    `GremlinParser.TraversalPredicate_withoutContext` | `traversalPredicate_without()`
    `GremlinParser.TraversalPredicateContext` | `traversalPredicate()`
    `GremlinParser.TraversalSackMethodContext` | `traversalSackMethod()`
    `GremlinParser.TraversalScopeContext` | `traversalScope()`
    `GremlinParser.TraversalSelfMethod_noneContext` | `traversalSelfMethod_none()`
    `GremlinParser.TraversalSelfMethodContext` | `traversalSelfMethod()`
    `GremlinParser.TraversalSourceContext` | `traversalSource()`
    `GremlinParser.TraversalSourceSelfMethod_withContext` | `traversalSourceSelfMethod_with()`
    `GremlinParser.TraversalSourceSelfMethod_withBulkContext` | `traversalSourceSelfMethod_withBulk()`
    `GremlinParser.TraversalSourceSelfMethod_withPathContext` | `traversalSourceSelfMethod_withPath()`
    `GremlinParser.TraversalSourceSelfMethod_withSackContext` | `traversalSourceSelfMethod_withSack()`
    `GremlinParser.TraversalSourceSelfMethod_withSideEffectContext` | `traversalSourceSelfMethod_withSideEffect()`
    `GremlinParser.TraversalSourceSelfMethod_withStrategiesContext` | `traversalSourceSelfMethod_withStrategies()`
    `GremlinParser.TraversalSourceSelfMethodContext` | `traversalSourceSelfMethod()`
    `GremlinParser.TraversalSourceSpawnMethod_addEContext` | `traversalSourceSpawnMethod_addE()`
    `GremlinParser.TraversalSourceSpawnMethod_addVContext` | `traversalSourceSpawnMethod_addV()`
    `GremlinParser.TraversalSourceSpawnMethod_EContext` | `traversalSourceSpawnMethod_E()`
    `GremlinParser.TraversalSourceSpawnMethod_injectContext` | `traversalSourceSpawnMethod_inject()`
    `GremlinParser.TraversalSourceSpawnMethod_ioContext` | `traversalSourceSpawnMethod_io()`
    `GremlinParser.TraversalSourceSpawnMethod_VContext` | `traversalSourceSpawnMethod_V()`
    `GremlinParser.TraversalSourceSpawnMethodContext` | `traversalSourceSpawnMethod()`
    `GremlinParser.TraversalStrategyContext` | `traversalStrategy()`
    `GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext` | `traversalStrategyArgs_EdgeLabelVerificationStrategy()`
    `GremlinParser.TraversalStrategyArgs_PartitionStrategyContext` | `traversalStrategyArgs_PartitionStrategy()`
    `GremlinParser.TraversalStrategyArgs_ProductiveByStrategyContext` | `traversalStrategyArgs_ProductiveByStrategy()`
    `GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext` | `traversalStrategyArgs_ReservedKeysVerificationStrategy()`
    `GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext` | `traversalStrategyArgs_SubgraphStrategy()`
    `GremlinParser.TraversalStrategyExprContext` | `traversalStrategyExpr()`
    `GremlinParser.TraversalStrategyListContext` | `traversalStrategyList()`
    `GremlinParser.TraversalTerminalMethod_explainContext` | `traversalTerminalMethod_explain()`
    `GremlinParser.TraversalTerminalMethod_hasNextContext` | `traversalTerminalMethod_hasNext()`
    `GremlinParser.TraversalTerminalMethod_iterateContext` | `traversalTerminalMethod_iterate()`
    `GremlinParser.TraversalTerminalMethod_nextContext` | `traversalTerminalMethod_next()`
    `GremlinParser.TraversalTerminalMethod_toBulkSetContext` | `traversalTerminalMethod_toBulkSet()`
    `GremlinParser.TraversalTerminalMethod_toListContext` | `traversalTerminalMethod_toList()`
    `GremlinParser.TraversalTerminalMethod_toSetContext` | `traversalTerminalMethod_toSet()`
    `GremlinParser.TraversalTerminalMethod_tryNextContext` | `traversalTerminalMethod_tryNext()`
    `GremlinParser.TraversalTerminalMethodContext` | `traversalTerminalMethod()`
    `GremlinParser.TraversalTokenContext` | `traversalToken()`
    `GremlinParser.WithOptionsStringConstantContext` | `withOptionsStringConstant()`
    `GremlinParser.WithOptionsStringConstantsContext` | `withOptionsStringConstants()`

    - ### Methods inherited from class org.antlr.v4.runtime.Parser

      `addContextToParseTree, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, createErrorNode, createTerminalNode, dumpDFA, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, exitRule, getATNWithBypassAlts, getBuildParseTree, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getExpectedTokens, getExpectedTokensWithinCurrentRule, getInputStream, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleInvocationStack, getRuleInvocationStack, getSourceName, getTokenFactory, getTokenStream, getTrimParseTree, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeParseListener, removeParseListeners, reset, setBuildParseTree, setContext, setErrorHandler, setInputStream, setProfile, setTokenFactory, setTokenStream, setTrace, setTrimParseTree, triggerEnterRuleEvent, triggerExitRuleEvent, unrollRecursionContexts`

    - ### Methods inherited from class org.antlr.v4.runtime.Recognizer

      `action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, removeErrorListener, removeErrorListeners, setInterpreter, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _decisionToDFA

          protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

    - #### _sharedContextCache

          protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

    - #### T__0

          public static final int T__0

      See Also:
        Constant Field Values

    - #### T__1

          public static final int T__1

      See Also:
        Constant Field Values

    - #### T__2

          public static final int T__2

      See Also:
        Constant Field Values

    - #### T__3

          public static final int T__3

      See Also:
        Constant Field Values

    - #### T__4

          public static final int T__4

      See Also:
        Constant Field Values

    - #### T__5

          public static final int T__5

      See Also:
        Constant Field Values

    - #### T__6

          public static final int T__6

      See Also:
        Constant Field Values

    - #### T__7

          public static final int T__7

      See Also:
        Constant Field Values

    - #### T__8

          public static final int T__8

      See Also:
        Constant Field Values

    - #### T__9

          public static final int T__9

      See Also:
        Constant Field Values

    - #### T__10

          public static final int T__10

      See Also:
        Constant Field Values

    - #### T__11

          public static final int T__11

      See Also:
        Constant Field Values

    - #### T__12

          public static final int T__12

      See Also:
        Constant Field Values

    - #### T__13

          public static final int T__13

      See Also:
        Constant Field Values

    - #### T__14

          public static final int T__14

      See Also:
        Constant Field Values

    - #### T__15

          public static final int T__15

      See Also:
        Constant Field Values

    - #### T__16

          public static final int T__16

      See Also:
        Constant Field Values

    - #### T__17

          public static final int T__17

      See Also:
        Constant Field Values

    - #### T__18

          public static final int T__18

      See Also:
        Constant Field Values

    - #### T__19

          public static final int T__19

      See Also:
        Constant Field Values

    - #### T__20

          public static final int T__20

      See Also:
        Constant Field Values

    - #### T__21

          public static final int T__21

      See Also:
        Constant Field Values

    - #### T__22

          public static final int T__22

      See Also:
        Constant Field Values

    - #### T__23

          public static final int T__23

      See Also:
        Constant Field Values

    - #### T__24

          public static final int T__24

      See Also:
        Constant Field Values

    - #### T__25

          public static final int T__25

      See Also:
        Constant Field Values

    - #### T__26

          public static final int T__26

      See Also:
        Constant Field Values

    - #### T__27

          public static final int T__27

      See Also:
        Constant Field Values

    - #### T__28

          public static final int T__28

      See Also:
        Constant Field Values

    - #### T__29

          public static final int T__29

      See Also:
        Constant Field Values

    - #### T__30

          public static final int T__30

      See Also:
        Constant Field Values

    - #### T__31

          public static final int T__31

      See Also:
        Constant Field Values

    - #### T__32

          public static final int T__32

      See Also:
        Constant Field Values

    - #### T__33

          public static final int T__33

      See Also:
        Constant Field Values

    - #### T__34

          public static final int T__34

      See Also:
        Constant Field Values

    - #### T__35

          public static final int T__35

      See Also:
        Constant Field Values

    - #### T__36

          public static final int T__36

      See Also:
        Constant Field Values

    - #### T__37

          public static final int T__37

      See Also:
        Constant Field Values

    - #### T__38

          public static final int T__38

      See Also:
        Constant Field Values

    - #### T__39

          public static final int T__39

      See Also:
        Constant Field Values

    - #### T__40

          public static final int T__40

      See Also:
        Constant Field Values

    - #### T__41

          public static final int T__41

      See Also:
        Constant Field Values

    - #### T__42

          public static final int T__42

      See Also:
        Constant Field Values

    - #### T__43

          public static final int T__43

      See Also:
        Constant Field Values

    - #### T__44

          public static final int T__44

      See Also:
        Constant Field Values

    - #### T__45

          public static final int T__45

      See Also:
        Constant Field Values

    - #### T__46

          public static final int T__46

      See Also:
        Constant Field Values

    - #### T__47

          public static final int T__47

      See Also:
        Constant Field Values

    - #### T__48

          public static final int T__48

      See Also:
        Constant Field Values

    - #### T__49

          public static final int T__49

      See Also:
        Constant Field Values

    - #### T__50

          public static final int T__50

      See Also:
        Constant Field Values

    - #### T__51

          public static final int T__51

      See Also:
        Constant Field Values

    - #### T__52

          public static final int T__52

      See Also:
        Constant Field Values

    - #### T__53

          public static final int T__53

      See Also:
        Constant Field Values

    - #### T__54

          public static final int T__54

      See Also:
        Constant Field Values

    - #### T__55

          public static final int T__55

      See Also:
        Constant Field Values

    - #### T__56

          public static final int T__56

      See Also:
        Constant Field Values

    - #### T__57

          public static final int T__57

      See Also:
        Constant Field Values

    - #### T__58

          public static final int T__58

      See Also:
        Constant Field Values

    - #### T__59

          public static final int T__59

      See Also:
        Constant Field Values

    - #### T__60

          public static final int T__60

      See Also:
        Constant Field Values

    - #### T__61

          public static final int T__61

      See Also:
        Constant Field Values

    - #### T__62

          public static final int T__62

      See Also:
        Constant Field Values

    - #### T__63

          public static final int T__63

      See Also:
        Constant Field Values

    - #### T__64

          public static final int T__64

      See Also:
        Constant Field Values

    - #### T__65

          public static final int T__65

      See Also:
        Constant Field Values

    - #### T__66

          public static final int T__66

      See Also:
        Constant Field Values

    - #### T__67

          public static final int T__67

      See Also:
        Constant Field Values

    - #### T__68

          public static final int T__68

      See Also:
        Constant Field Values

    - #### T__69

          public static final int T__69

      See Also:
        Constant Field Values

    - #### T__70

          public static final int T__70

      See Also:
        Constant Field Values

    - #### T__71

          public static final int T__71

      See Also:
        Constant Field Values

    - #### T__72

          public static final int T__72

      See Also:
        Constant Field Values

    - #### T__73

          public static final int T__73

      See Also:
        Constant Field Values

    - #### T__74

          public static final int T__74

      See Also:
        Constant Field Values

    - #### T__75

          public static final int T__75

      See Also:
        Constant Field Values

    - #### T__76

          public static final int T__76

      See Also:
        Constant Field Values

    - #### T__77

          public static final int T__77

      See Also:
        Constant Field Values

    - #### T__78

          public static final int T__78

      See Also:
        Constant Field Values

    - #### T__79

          public static final int T__79

      See Also:
        Constant Field Values

    - #### T__80

          public static final int T__80

      See Also:
        Constant Field Values

    - #### T__81

          public static final int T__81

      See Also:
        Constant Field Values

    - #### T__82

          public static final int T__82

      See Also:
        Constant Field Values

    - #### T__83

          public static final int T__83

      See Also:
        Constant Field Values

    - #### T__84

          public static final int T__84

      See Also:
        Constant Field Values

    - #### T__85

          public static final int T__85

      See Also:
        Constant Field Values

    - #### T__86

          public static final int T__86

      See Also:
        Constant Field Values

    - #### T__87

          public static final int T__87

      See Also:
        Constant Field Values

    - #### T__88

          public static final int T__88

      See Also:
        Constant Field Values

    - #### T__89

          public static final int T__89

      See Also:
        Constant Field Values

    - #### T__90

          public static final int T__90

      See Also:
        Constant Field Values

    - #### T__91

          public static final int T__91

      See Also:
        Constant Field Values

    - #### T__92

          public static final int T__92

      See Also:
        Constant Field Values

    - #### T__93

          public static final int T__93

      See Also:
        Constant Field Values

    - #### T__94

          public static final int T__94

      See Also:
        Constant Field Values

    - #### T__95

          public static final int T__95

      See Also:
        Constant Field Values

    - #### T__96

          public static final int T__96

      See Also:
        Constant Field Values

    - #### T__97

          public static final int T__97

      See Also:
        Constant Field Values

    - #### T__98

          public static final int T__98

      See Also:
        Constant Field Values

    - #### T__99

          public static final int T__99

      See Also:
        Constant Field Values

    - #### T__100

          public static final int T__100

      See Also:
        Constant Field Values

    - #### T__101

          public static final int T__101

      See Also:
        Constant Field Values

    - #### T__102

          public static final int T__102

      See Also:
        Constant Field Values

    - #### T__103

          public static final int T__103

      See Also:
        Constant Field Values

    - #### T__104

          public static final int T__104

      See Also:
        Constant Field Values

    - #### T__105

          public static final int T__105

      See Also:
        Constant Field Values

    - #### T__106

          public static final int T__106

      See Also:
        Constant Field Values

    - #### T__107

          public static final int T__107

      See Also:
        Constant Field Values

    - #### T__108

          public static final int T__108

      See Also:
        Constant Field Values

    - #### T__109

          public static final int T__109

      See Also:
        Constant Field Values

    - #### T__110

          public static final int T__110

      See Also:
        Constant Field Values

    - #### T__111

          public static final int T__111

      See Also:
        Constant Field Values

    - #### T__112

          public static final int T__112

      See Also:
        Constant Field Values

    - #### T__113

          public static final int T__113

      See Also:
        Constant Field Values

    - #### T__114

          public static final int T__114

      See Also:
        Constant Field Values

    - #### T__115

          public static final int T__115

      See Also:
        Constant Field Values

    - #### T__116

          public static final int T__116

      See Also:
        Constant Field Values

    - #### T__117

          public static final int T__117

      See Also:
        Constant Field Values

    - #### T__118

          public static final int T__118

      See Also:
        Constant Field Values

    - #### T__119

          public static final int T__119

      See Also:
        Constant Field Values

    - #### T__120

          public static final int T__120

      See Also:
        Constant Field Values

    - #### T__121

          public static final int T__121

      See Also:
        Constant Field Values

    - #### T__122

          public static final int T__122

      See Also:
        Constant Field Values

    - #### T__123

          public static final int T__123

      See Also:
        Constant Field Values

    - #### T__124

          public static final int T__124

      See Also:
        Constant Field Values

    - #### T__125

          public static final int T__125

      See Also:
        Constant Field Values

    - #### T__126

          public static final int T__126

      See Also:
        Constant Field Values

    - #### T__127

          public static final int T__127

      See Also:
        Constant Field Values

    - #### T__128

          public static final int T__128

      See Also:
        Constant Field Values

    - #### T__129

          public static final int T__129

      See Also:
        Constant Field Values

    - #### T__130

          public static final int T__130

      See Also:
        Constant Field Values

    - #### T__131

          public static final int T__131

      See Also:
        Constant Field Values

    - #### T__132

          public static final int T__132

      See Also:
        Constant Field Values

    - #### T__133

          public static final int T__133

      See Also:
        Constant Field Values

    - #### T__134

          public static final int T__134

      See Also:
        Constant Field Values

    - #### T__135

          public static final int T__135

      See Also:
        Constant Field Values

    - #### T__136

          public static final int T__136

      See Also:
        Constant Field Values

    - #### T__137

          public static final int T__137

      See Also:
        Constant Field Values

    - #### T__138

          public static final int T__138

      See Also:
        Constant Field Values

    - #### T__139

          public static final int T__139

      See Also:
        Constant Field Values

    - #### T__140

          public static final int T__140

      See Also:
        Constant Field Values

    - #### T__141

          public static final int T__141

      See Also:
        Constant Field Values

    - #### T__142

          public static final int T__142

      See Also:
        Constant Field Values

    - #### T__143

          public static final int T__143

      See Also:
        Constant Field Values

    - #### T__144

          public static final int T__144

      See Also:
        Constant Field Values

    - #### T__145

          public static final int T__145

      See Also:
        Constant Field Values

    - #### T__146

          public static final int T__146

      See Also:
        Constant Field Values

    - #### T__147

          public static final int T__147

      See Also:
        Constant Field Values

    - #### T__148

          public static final int T__148

      See Also:
        Constant Field Values

    - #### T__149

          public static final int T__149

      See Also:
        Constant Field Values

    - #### T__150

          public static final int T__150

      See Also:
        Constant Field Values

    - #### T__151

          public static final int T__151

      See Also:
        Constant Field Values

    - #### T__152

          public static final int T__152

      See Also:
        Constant Field Values

    - #### T__153

          public static final int T__153

      See Also:
        Constant Field Values

    - #### T__154

          public static final int T__154

      See Also:
        Constant Field Values

    - #### T__155

          public static final int T__155

      See Also:
        Constant Field Values

    - #### T__156

          public static final int T__156

      See Also:
        Constant Field Values

    - #### T__157

          public static final int T__157

      See Also:
        Constant Field Values

    - #### T__158

          public static final int T__158

      See Also:
        Constant Field Values

    - #### T__159

          public static final int T__159

      See Also:
        Constant Field Values

    - #### T__160

          public static final int T__160

      See Also:
        Constant Field Values

    - #### T__161

          public static final int T__161

      See Also:
        Constant Field Values

    - #### T__162

          public static final int T__162

      See Also:
        Constant Field Values

    - #### T__163

          public static final int T__163

      See Also:
        Constant Field Values

    - #### T__164

          public static final int T__164

      See Also:
        Constant Field Values

    - #### T__165

          public static final int T__165

      See Also:
        Constant Field Values

    - #### T__166

          public static final int T__166

      See Also:
        Constant Field Values

    - #### T__167

          public static final int T__167

      See Also:
        Constant Field Values

    - #### T__168

          public static final int T__168

      See Also:
        Constant Field Values

    - #### T__169

          public static final int T__169

      See Also:
        Constant Field Values

    - #### T__170

          public static final int T__170

      See Also:
        Constant Field Values

    - #### T__171

          public static final int T__171

      See Also:
        Constant Field Values

    - #### T__172

          public static final int T__172

      See Also:
        Constant Field Values

    - #### T__173

          public static final int T__173

      See Also:
        Constant Field Values

    - #### T__174

          public static final int T__174

      See Also:
        Constant Field Values

    - #### T__175

          public static final int T__175

      See Also:
        Constant Field Values

    - #### T__176

          public static final int T__176

      See Also:
        Constant Field Values

    - #### T__177

          public static final int T__177

      See Also:
        Constant Field Values

    - #### T__178

          public static final int T__178

      See Also:
        Constant Field Values

    - #### T__179

          public static final int T__179

      See Also:
        Constant Field Values

    - #### T__180

          public static final int T__180

      See Also:
        Constant Field Values

    - #### T__181

          public static final int T__181

      See Also:
        Constant Field Values

    - #### T__182

          public static final int T__182

      See Also:
        Constant Field Values

    - #### T__183

          public static final int T__183

      See Also:
        Constant Field Values

    - #### T__184

          public static final int T__184

      See Also:
        Constant Field Values

    - #### T__185

          public static final int T__185

      See Also:
        Constant Field Values

    - #### T__186

          public static final int T__186

      See Also:
        Constant Field Values

    - #### T__187

          public static final int T__187

      See Also:
        Constant Field Values

    - #### T__188

          public static final int T__188

      See Also:
        Constant Field Values

    - #### T__189

          public static final int T__189

      See Also:
        Constant Field Values

    - #### T__190

          public static final int T__190

      See Also:
        Constant Field Values

    - #### T__191

          public static final int T__191

      See Also:
        Constant Field Values

    - #### T__192

          public static final int T__192

      See Also:
        Constant Field Values

    - #### T__193

          public static final int T__193

      See Also:
        Constant Field Values

    - #### T__194

          public static final int T__194

      See Also:
        Constant Field Values

    - #### T__195

          public static final int T__195

      See Also:
        Constant Field Values

    - #### T__196

          public static final int T__196

      See Also:
        Constant Field Values

    - #### T__197

          public static final int T__197

      See Also:
        Constant Field Values

    - #### T__198

          public static final int T__198

      See Also:
        Constant Field Values

    - #### T__199

          public static final int T__199

      See Also:
        Constant Field Values

    - #### T__200

          public static final int T__200

      See Also:
        Constant Field Values

    - #### T__201

          public static final int T__201

      See Also:
        Constant Field Values

    - #### T__202

          public static final int T__202

      See Also:
        Constant Field Values

    - #### T__203

          public static final int T__203

      See Also:
        Constant Field Values

    - #### T__204

          public static final int T__204

      See Also:
        Constant Field Values

    - #### T__205

          public static final int T__205

      See Also:
        Constant Field Values

    - #### T__206

          public static final int T__206

      See Also:
        Constant Field Values

    - #### T__207

          public static final int T__207

      See Also:
        Constant Field Values

    - #### T__208

          public static final int T__208

      See Also:
        Constant Field Values

    - #### T__209

          public static final int T__209

      See Also:
        Constant Field Values

    - #### T__210

          public static final int T__210

      See Also:
        Constant Field Values

    - #### T__211

          public static final int T__211

      See Also:
        Constant Field Values

    - #### T__212

          public static final int T__212

      See Also:
        Constant Field Values

    - #### T__213

          public static final int T__213

      See Also:
        Constant Field Values

    - #### T__214

          public static final int T__214

      See Also:
        Constant Field Values

    - #### T__215

          public static final int T__215

      See Also:
        Constant Field Values

    - #### T__216

          public static final int T__216

      See Also:
        Constant Field Values

    - #### T__217

          public static final int T__217

      See Also:
        Constant Field Values

    - #### T__218

          public static final int T__218

      See Also:
        Constant Field Values

    - #### T__219

          public static final int T__219

      See Also:
        Constant Field Values

    - #### T__220

          public static final int T__220

      See Also:
        Constant Field Values

    - #### T__221

          public static final int T__221

      See Also:
        Constant Field Values

    - #### T__222

          public static final int T__222

      See Also:
        Constant Field Values

    - #### T__223

          public static final int T__223

      See Also:
        Constant Field Values

    - #### T__224

          public static final int T__224

      See Also:
        Constant Field Values

    - #### T__225

          public static final int T__225

      See Also:
        Constant Field Values

    - #### T__226

          public static final int T__226

      See Also:
        Constant Field Values

    - #### T__227

          public static final int T__227

      See Also:
        Constant Field Values

    - #### T__228

          public static final int T__228

      See Also:
        Constant Field Values

    - #### T__229

          public static final int T__229

      See Also:
        Constant Field Values

    - #### T__230

          public static final int T__230

      See Also:
        Constant Field Values

    - #### T__231

          public static final int T__231

      See Also:
        Constant Field Values

    - #### T__232

          public static final int T__232

      See Also:
        Constant Field Values

    - #### T__233

          public static final int T__233

      See Also:
        Constant Field Values

    - #### T__234

          public static final int T__234

      See Also:
        Constant Field Values

    - #### T__235

          public static final int T__235

      See Also:
        Constant Field Values

    - #### T__236

          public static final int T__236

      See Also:
        Constant Field Values

    - #### T__237

          public static final int T__237

      See Also:
        Constant Field Values

    - #### T__238

          public static final int T__238

      See Also:
        Constant Field Values

    - #### T__239

          public static final int T__239

      See Also:
        Constant Field Values

    - #### T__240

          public static final int T__240

      See Also:
        Constant Field Values

    - #### T__241

          public static final int T__241

      See Also:
        Constant Field Values

    - #### T__242

          public static final int T__242

      See Also:
        Constant Field Values

    - #### T__243

          public static final int T__243

      See Also:
        Constant Field Values

    - #### T__244

          public static final int T__244

      See Also:
        Constant Field Values

    - #### T__245

          public static final int T__245

      See Also:
        Constant Field Values

    - #### T__246

          public static final int T__246

      See Also:
        Constant Field Values

    - #### T__247

          public static final int T__247

      See Also:
        Constant Field Values

    - #### T__248

          public static final int T__248

      See Also:
        Constant Field Values

    - #### T__249

          public static final int T__249

      See Also:
        Constant Field Values

    - #### T__250

          public static final int T__250

      See Also:
        Constant Field Values

    - #### T__251

          public static final int T__251

      See Also:
        Constant Field Values

    - #### T__252

          public static final int T__252

      See Also:
        Constant Field Values

    - #### T__253

          public static final int T__253

      See Also:
        Constant Field Values

    - #### T__254

          public static final int T__254

      See Also:
        Constant Field Values

    - #### T__255

          public static final int T__255

      See Also:
        Constant Field Values

    - #### T__256

          public static final int T__256

      See Also:
        Constant Field Values

    - #### T__257

          public static final int T__257

      See Also:
        Constant Field Values

    - #### T__258

          public static final int T__258

      See Also:
        Constant Field Values

    - #### T__259

          public static final int T__259

      See Also:
        Constant Field Values

    - #### T__260

          public static final int T__260

      See Also:
        Constant Field Values

    - #### NEW

          public static final int NEW

      See Also:
        Constant Field Values

    - #### IntegerLiteral

          public static final int IntegerLiteral

      See Also:
        Constant Field Values

    - #### FloatingPointLiteral

          public static final int FloatingPointLiteral

      See Also:
        Constant Field Values

    - #### BooleanLiteral

          public static final int BooleanLiteral

      See Also:
        Constant Field Values

    - #### NullLiteral

          public static final int NullLiteral

      See Also:
        Constant Field Values

    - #### NonEmptyStringLiteral

          public static final int NonEmptyStringLiteral

      See Also:
        Constant Field Values

    - #### EmptyStringLiteral

          public static final int EmptyStringLiteral

      See Also:
        Constant Field Values

    - #### LPAREN

          public static final int LPAREN

      See Also:
        Constant Field Values

    - #### RPAREN

          public static final int RPAREN

      See Also:
        Constant Field Values

    - #### LBRACE

          public static final int LBRACE

      See Also:
        Constant Field Values

    - #### RBRACE

          public static final int RBRACE

      See Also:
        Constant Field Values

    - #### LBRACK

          public static final int LBRACK

      See Also:
        Constant Field Values

    - #### RBRACK

          public static final int RBRACK

      See Also:
        Constant Field Values

    - #### SEMI

          public static final int SEMI

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### DOT

          public static final int DOT

      See Also:
        Constant Field Values

    - #### COLON

          public static final int COLON

      See Also:
        Constant Field Values

    - #### TRAVERSAL_ROOT

          public static final int TRAVERSAL_ROOT

      See Also:
        Constant Field Values

    - #### ANON_TRAVERSAL_ROOT

          public static final int ANON_TRAVERSAL_ROOT

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

    - #### LINE_COMMENT

          public static final int LINE_COMMENT

      See Also:
        Constant Field Values

    - #### RULE_queryList

          public static final int RULE_queryList

      See Also:
        Constant Field Values

    - #### RULE_query

          public static final int RULE_query

      See Also:
        Constant Field Values

    - #### RULE_emptyQuery

          public static final int RULE_emptyQuery

      See Also:
        Constant Field Values

    - #### RULE_traversalSource

          public static final int RULE_traversalSource

      See Also:
        Constant Field Values

    - #### RULE_transactionPart

          public static final int RULE_transactionPart

      See Also:
        Constant Field Values

    - #### RULE_rootTraversal

          public static final int RULE_rootTraversal

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSelfMethod

          public static final int RULE_traversalSourceSelfMethod

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSelfMethod_withBulk

          public static final int RULE_traversalSourceSelfMethod_withBulk

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSelfMethod_withPath

          public static final int RULE_traversalSourceSelfMethod_withPath

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSelfMethod_withSack

          public static final int RULE_traversalSourceSelfMethod_withSack

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSelfMethod_withSideEffect

          public static final int RULE_traversalSourceSelfMethod_withSideEffect

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSelfMethod_withStrategies

          public static final int RULE_traversalSourceSelfMethod_withStrategies

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSelfMethod_with

          public static final int RULE_traversalSourceSelfMethod_with

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSpawnMethod

          public static final int RULE_traversalSourceSpawnMethod

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSpawnMethod_addE

          public static final int RULE_traversalSourceSpawnMethod_addE

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSpawnMethod_addV

          public static final int RULE_traversalSourceSpawnMethod_addV

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSpawnMethod_E

          public static final int RULE_traversalSourceSpawnMethod_E

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSpawnMethod_V

          public static final int RULE_traversalSourceSpawnMethod_V

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSpawnMethod_inject

          public static final int RULE_traversalSourceSpawnMethod_inject

      See Also:
        Constant Field Values

    - #### RULE_traversalSourceSpawnMethod_io

          public static final int RULE_traversalSourceSpawnMethod_io

      See Also:
        Constant Field Values

    - #### RULE_chainedTraversal

          public static final int RULE_chainedTraversal

      See Also:
        Constant Field Values

    - #### RULE_chainedParentOfGraphTraversal

          public static final int RULE_chainedParentOfGraphTraversal

      See Also:
        Constant Field Values

    - #### RULE_nestedTraversal

          public static final int RULE_nestedTraversal

      See Also:
        Constant Field Values

    - #### RULE_terminatedTraversal

          public static final int RULE_terminatedTraversal

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod

          public static final int RULE_traversalMethod

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_V

          public static final int RULE_traversalMethod_V

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_addE

          public static final int RULE_traversalMethod_addE

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_addV

          public static final int RULE_traversalMethod_addV

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_aggregate

          public static final int RULE_traversalMethod_aggregate

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_and

          public static final int RULE_traversalMethod_and

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_as

          public static final int RULE_traversalMethod_as

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_barrier

          public static final int RULE_traversalMethod_barrier

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_both

          public static final int RULE_traversalMethod_both

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_bothE

          public static final int RULE_traversalMethod_bothE

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_bothV

          public static final int RULE_traversalMethod_bothV

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_branch

          public static final int RULE_traversalMethod_branch

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_by

          public static final int RULE_traversalMethod_by

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_cap

          public static final int RULE_traversalMethod_cap

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_choose

          public static final int RULE_traversalMethod_choose

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_coalesce

          public static final int RULE_traversalMethod_coalesce

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_coin

          public static final int RULE_traversalMethod_coin

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_connectedComponent

          public static final int RULE_traversalMethod_connectedComponent

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_constant

          public static final int RULE_traversalMethod_constant

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_count

          public static final int RULE_traversalMethod_count

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_cyclicPath

          public static final int RULE_traversalMethod_cyclicPath

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_dedup

          public static final int RULE_traversalMethod_dedup

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_drop

          public static final int RULE_traversalMethod_drop

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_elementMap

          public static final int RULE_traversalMethod_elementMap

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_emit

          public static final int RULE_traversalMethod_emit

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_filter

          public static final int RULE_traversalMethod_filter

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_flatMap

          public static final int RULE_traversalMethod_flatMap

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_fold

          public static final int RULE_traversalMethod_fold

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_from

          public static final int RULE_traversalMethod_from

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_group

          public static final int RULE_traversalMethod_group

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_groupCount

          public static final int RULE_traversalMethod_groupCount

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_has

          public static final int RULE_traversalMethod_has

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_hasId

          public static final int RULE_traversalMethod_hasId

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_hasKey

          public static final int RULE_traversalMethod_hasKey

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_hasLabel

          public static final int RULE_traversalMethod_hasLabel

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_hasNot

          public static final int RULE_traversalMethod_hasNot

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_hasValue

          public static final int RULE_traversalMethod_hasValue

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_id

          public static final int RULE_traversalMethod_id

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_identity

          public static final int RULE_traversalMethod_identity

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_in

          public static final int RULE_traversalMethod_in

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_inE

          public static final int RULE_traversalMethod_inE

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_inV

          public static final int RULE_traversalMethod_inV

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_index

          public static final int RULE_traversalMethod_index

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_inject

          public static final int RULE_traversalMethod_inject

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_is

          public static final int RULE_traversalMethod_is

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_key

          public static final int RULE_traversalMethod_key

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_label

          public static final int RULE_traversalMethod_label

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_limit

          public static final int RULE_traversalMethod_limit

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_local

          public static final int RULE_traversalMethod_local

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_loops

          public static final int RULE_traversalMethod_loops

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_map

          public static final int RULE_traversalMethod_map

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_match

          public static final int RULE_traversalMethod_match

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_math

          public static final int RULE_traversalMethod_math

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_max

          public static final int RULE_traversalMethod_max

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_mean

          public static final int RULE_traversalMethod_mean

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_min

          public static final int RULE_traversalMethod_min

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_not

          public static final int RULE_traversalMethod_not

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_option

          public static final int RULE_traversalMethod_option

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_optional

          public static final int RULE_traversalMethod_optional

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_or

          public static final int RULE_traversalMethod_or

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_order

          public static final int RULE_traversalMethod_order

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_otherV

          public static final int RULE_traversalMethod_otherV

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_out

          public static final int RULE_traversalMethod_out

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_outE

          public static final int RULE_traversalMethod_outE

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_outV

          public static final int RULE_traversalMethod_outV

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_pageRank

          public static final int RULE_traversalMethod_pageRank

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_path

          public static final int RULE_traversalMethod_path

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_peerPressure

          public static final int RULE_traversalMethod_peerPressure

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_profile

          public static final int RULE_traversalMethod_profile

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_project

          public static final int RULE_traversalMethod_project

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_properties

          public static final int RULE_traversalMethod_properties

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_property

          public static final int RULE_traversalMethod_property

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_propertyMap

          public static final int RULE_traversalMethod_propertyMap

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_range

          public static final int RULE_traversalMethod_range

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_read

          public static final int RULE_traversalMethod_read

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_repeat

          public static final int RULE_traversalMethod_repeat

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_sack

          public static final int RULE_traversalMethod_sack

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_sample

          public static final int RULE_traversalMethod_sample

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_select

          public static final int RULE_traversalMethod_select

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_shortestPath

          public static final int RULE_traversalMethod_shortestPath

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_sideEffect

          public static final int RULE_traversalMethod_sideEffect

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_simplePath

          public static final int RULE_traversalMethod_simplePath

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_skip

          public static final int RULE_traversalMethod_skip

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_store

          public static final int RULE_traversalMethod_store

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_subgraph

          public static final int RULE_traversalMethod_subgraph

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_sum

          public static final int RULE_traversalMethod_sum

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_tail

          public static final int RULE_traversalMethod_tail

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_timeLimit

          public static final int RULE_traversalMethod_timeLimit

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_times

          public static final int RULE_traversalMethod_times

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_to

          public static final int RULE_traversalMethod_to

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_toE

          public static final int RULE_traversalMethod_toE

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_toV

          public static final int RULE_traversalMethod_toV

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_tree

          public static final int RULE_traversalMethod_tree

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_unfold

          public static final int RULE_traversalMethod_unfold

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_union

          public static final int RULE_traversalMethod_union

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_until

          public static final int RULE_traversalMethod_until

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_value

          public static final int RULE_traversalMethod_value

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_valueMap

          public static final int RULE_traversalMethod_valueMap

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_values

          public static final int RULE_traversalMethod_values

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_where

          public static final int RULE_traversalMethod_where

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_with

          public static final int RULE_traversalMethod_with

      See Also:
        Constant Field Values

    - #### RULE_traversalMethod_write

          public static final int RULE_traversalMethod_write

      See Also:
        Constant Field Values

    - #### RULE_traversalStrategy

          public static final int RULE_traversalStrategy

      See Also:
        Constant Field Values

    - #### RULE_traversalStrategyArgs_ProductiveByStrategy

          public static final int RULE_traversalStrategyArgs_ProductiveByStrategy

      See Also:
        Constant Field Values

    - #### RULE_traversalStrategyArgs_PartitionStrategy

          public static final int RULE_traversalStrategyArgs_PartitionStrategy

      See Also:
        Constant Field Values

    - #### RULE_traversalStrategyArgs_SubgraphStrategy

          public static final int RULE_traversalStrategyArgs_SubgraphStrategy

      See Also:
        Constant Field Values

    - #### RULE_traversalStrategyArgs_EdgeLabelVerificationStrategy

          public static final int RULE_traversalStrategyArgs_EdgeLabelVerificationStrategy

      See Also:
        Constant Field Values

    - #### RULE_traversalStrategyArgs_ReservedKeysVerificationStrategy

          public static final int RULE_traversalStrategyArgs_ReservedKeysVerificationStrategy

      See Also:
        Constant Field Values

    - #### RULE_traversalScope

          public static final int RULE_traversalScope

      See Also:
        Constant Field Values

    - #### RULE_traversalToken

          public static final int RULE_traversalToken

      See Also:
        Constant Field Values

    - #### RULE_traversalOrder

          public static final int RULE_traversalOrder

      See Also:
        Constant Field Values

    - #### RULE_traversalDirection

          public static final int RULE_traversalDirection

      See Also:
        Constant Field Values

    - #### RULE_traversalCardinality

          public static final int RULE_traversalCardinality

      See Also:
        Constant Field Values

    - #### RULE_traversalColumn

          public static final int RULE_traversalColumn

      See Also:
        Constant Field Values

    - #### RULE_traversalPop

          public static final int RULE_traversalPop

      See Also:
        Constant Field Values

    - #### RULE_traversalOperator

          public static final int RULE_traversalOperator

      See Also:
        Constant Field Values

    - #### RULE_traversalOptionParent

          public static final int RULE_traversalOptionParent

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate

          public static final int RULE_traversalPredicate

      See Also:
        Constant Field Values

    - #### RULE_traversalTerminalMethod

          public static final int RULE_traversalTerminalMethod

      See Also:
        Constant Field Values

    - #### RULE_traversalSackMethod

          public static final int RULE_traversalSackMethod

      See Also:
        Constant Field Values

    - #### RULE_traversalSelfMethod

          public static final int RULE_traversalSelfMethod

      See Also:
        Constant Field Values

    - #### RULE_traversalComparator

          public static final int RULE_traversalComparator

      See Also:
        Constant Field Values

    - #### RULE_traversalFunction

          public static final int RULE_traversalFunction

      See Also:
        Constant Field Values

    - #### RULE_traversalBiFunction

          public static final int RULE_traversalBiFunction

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_eq

          public static final int RULE_traversalPredicate_eq

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_neq

          public static final int RULE_traversalPredicate_neq

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_lt

          public static final int RULE_traversalPredicate_lt

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_lte

          public static final int RULE_traversalPredicate_lte

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_gt

          public static final int RULE_traversalPredicate_gt

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_gte

          public static final int RULE_traversalPredicate_gte

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_inside

          public static final int RULE_traversalPredicate_inside

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_outside

          public static final int RULE_traversalPredicate_outside

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_between

          public static final int RULE_traversalPredicate_between

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_within

          public static final int RULE_traversalPredicate_within

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_without

          public static final int RULE_traversalPredicate_without

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_not

          public static final int RULE_traversalPredicate_not

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_containing

          public static final int RULE_traversalPredicate_containing

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_notContaining

          public static final int RULE_traversalPredicate_notContaining

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_startingWith

          public static final int RULE_traversalPredicate_startingWith

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_notStartingWith

          public static final int RULE_traversalPredicate_notStartingWith

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_endingWith

          public static final int RULE_traversalPredicate_endingWith

      See Also:
        Constant Field Values

    - #### RULE_traversalPredicate_notEndingWith

          public static final int RULE_traversalPredicate_notEndingWith

      See Also:
        Constant Field Values

    - #### RULE_traversalTerminalMethod_explain

          public static final int RULE_traversalTerminalMethod_explain

      See Also:
        Constant Field Values

    - #### RULE_traversalTerminalMethod_hasNext

          public static final int RULE_traversalTerminalMethod_hasNext

      See Also:
        Constant Field Values

    - #### RULE_traversalTerminalMethod_iterate

          public static final int RULE_traversalTerminalMethod_iterate

      See Also:
        Constant Field Values

    - #### RULE_traversalTerminalMethod_tryNext

          public static final int RULE_traversalTerminalMethod_tryNext

      See Also:
        Constant Field Values

    - #### RULE_traversalTerminalMethod_next

          public static final int RULE_traversalTerminalMethod_next

      See Also:
        Constant Field Values

    - #### RULE_traversalTerminalMethod_toList

          public static final int RULE_traversalTerminalMethod_toList

      See Also:
        Constant Field Values

    - #### RULE_traversalTerminalMethod_toSet

          public static final int RULE_traversalTerminalMethod_toSet

      See Also:
        Constant Field Values

    - #### RULE_traversalTerminalMethod_toBulkSet

          public static final int RULE_traversalTerminalMethod_toBulkSet

      See Also:
        Constant Field Values

    - #### RULE_traversalSelfMethod_none

          public static final int RULE_traversalSelfMethod_none

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants

          public static final int RULE_gremlinStringConstants

      See Also:
        Constant Field Values

    - #### RULE_connectedComponentConstants

          public static final int RULE_connectedComponentConstants

      See Also:
        Constant Field Values

    - #### RULE_pageRankStringConstants

          public static final int RULE_pageRankStringConstants

      See Also:
        Constant Field Values

    - #### RULE_peerPressureStringConstants

          public static final int RULE_peerPressureStringConstants

      See Also:
        Constant Field Values

    - #### RULE_shortestPathStringConstants

          public static final int RULE_shortestPathStringConstants

      See Also:
        Constant Field Values

    - #### RULE_withOptionsStringConstants

          public static final int RULE_withOptionsStringConstants

      See Also:
        Constant Field Values

    - #### RULE_ioOptionsStringConstants

          public static final int RULE_ioOptionsStringConstants

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_connectedComponentStringConstants_component

          public static final int RULE_gremlinStringConstants_connectedComponentStringConstants_component

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_connectedComponentStringConstants_edges

          public static final int RULE_gremlinStringConstants_connectedComponentStringConstants_edges

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_connectedComponentStringConstants_propertyName

          public static final int RULE_gremlinStringConstants_connectedComponentStringConstants_propertyName

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_pageRankStringConstants_edges

          public static final int RULE_gremlinStringConstants_pageRankStringConstants_edges

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_pageRankStringConstants_times

          public static final int RULE_gremlinStringConstants_pageRankStringConstants_times

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_pageRankStringConstants_propertyName

          public static final int RULE_gremlinStringConstants_pageRankStringConstants_propertyName

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_peerPressureStringConstants_edges

          public static final int RULE_gremlinStringConstants_peerPressureStringConstants_edges

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_peerPressureStringConstants_times

          public static final int RULE_gremlinStringConstants_peerPressureStringConstants_times

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_peerPressureStringConstants_propertyName

          public static final int RULE_gremlinStringConstants_peerPressureStringConstants_propertyName

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_shortestPathStringConstants_target

          public static final int RULE_gremlinStringConstants_shortestPathStringConstants_target

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_shortestPathStringConstants_edges

          public static final int RULE_gremlinStringConstants_shortestPathStringConstants_edges

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_shortestPathStringConstants_distance

          public static final int RULE_gremlinStringConstants_shortestPathStringConstants_distance

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_shortestPathStringConstants_maxDistance

          public static final int RULE_gremlinStringConstants_shortestPathStringConstants_maxDistance

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_shortestPathStringConstants_includeEdges

          public static final int RULE_gremlinStringConstants_shortestPathStringConstants_includeEdges

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_withOptionsStringConstants_tokens

          public static final int RULE_gremlinStringConstants_withOptionsStringConstants_tokens

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_withOptionsStringConstants_none

          public static final int RULE_gremlinStringConstants_withOptionsStringConstants_none

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_withOptionsStringConstants_ids

          public static final int RULE_gremlinStringConstants_withOptionsStringConstants_ids

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_withOptionsStringConstants_labels

          public static final int RULE_gremlinStringConstants_withOptionsStringConstants_labels

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_withOptionsStringConstants_keys

          public static final int RULE_gremlinStringConstants_withOptionsStringConstants_keys

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_withOptionsStringConstants_values

          public static final int RULE_gremlinStringConstants_withOptionsStringConstants_values

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_withOptionsStringConstants_all

          public static final int RULE_gremlinStringConstants_withOptionsStringConstants_all

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_withOptionsStringConstants_indexer

          public static final int RULE_gremlinStringConstants_withOptionsStringConstants_indexer

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_withOptionsStringConstants_list

          public static final int RULE_gremlinStringConstants_withOptionsStringConstants_list

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_withOptionsStringConstants_map

          public static final int RULE_gremlinStringConstants_withOptionsStringConstants_map

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_ioOptionsStringConstants_reader

          public static final int RULE_gremlinStringConstants_ioOptionsStringConstants_reader

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_ioOptionsStringConstants_writer

          public static final int RULE_gremlinStringConstants_ioOptionsStringConstants_writer

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_ioOptionsStringConstants_gryo

          public static final int RULE_gremlinStringConstants_ioOptionsStringConstants_gryo

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_ioOptionsStringConstants_graphson

          public static final int RULE_gremlinStringConstants_ioOptionsStringConstants_graphson

      See Also:
        Constant Field Values

    - #### RULE_gremlinStringConstants_ioOptionsStringConstants_graphml

          public static final int RULE_gremlinStringConstants_ioOptionsStringConstants_graphml

      See Also:
        Constant Field Values

    - #### RULE_connectedComponentStringConstant

          public static final int RULE_connectedComponentStringConstant

      See Also:
        Constant Field Values

    - #### RULE_pageRankStringConstant

          public static final int RULE_pageRankStringConstant

      See Also:
        Constant Field Values

    - #### RULE_peerPressureStringConstant

          public static final int RULE_peerPressureStringConstant

      See Also:
        Constant Field Values

    - #### RULE_shortestPathStringConstant

          public static final int RULE_shortestPathStringConstant

      See Also:
        Constant Field Values

    - #### RULE_withOptionsStringConstant

          public static final int RULE_withOptionsStringConstant

      See Also:
        Constant Field Values

    - #### RULE_ioOptionsStringConstant

          public static final int RULE_ioOptionsStringConstant

      See Also:
        Constant Field Values

    - #### RULE_traversalStrategyList

          public static final int RULE_traversalStrategyList

      See Also:
        Constant Field Values

    - #### RULE_traversalStrategyExpr

          public static final int RULE_traversalStrategyExpr

      See Also:
        Constant Field Values

    - #### RULE_nestedTraversalList

          public static final int RULE_nestedTraversalList

      See Also:
        Constant Field Values

    - #### RULE_nestedTraversalExpr

          public static final int RULE_nestedTraversalExpr

      See Also:
        Constant Field Values

    - #### RULE_genericLiteralList

          public static final int RULE_genericLiteralList

      See Also:
        Constant Field Values

    - #### RULE_genericLiteralExpr

          public static final int RULE_genericLiteralExpr

      See Also:
        Constant Field Values

    - #### RULE_genericLiteralRange

          public static final int RULE_genericLiteralRange

      See Also:
        Constant Field Values

    - #### RULE_genericLiteralCollection

          public static final int RULE_genericLiteralCollection

      See Also:
        Constant Field Values

    - #### RULE_stringLiteralList

          public static final int RULE_stringLiteralList

      See Also:
        Constant Field Values

    - #### RULE_stringLiteralExpr

          public static final int RULE_stringLiteralExpr

      See Also:
        Constant Field Values

    - #### RULE_genericLiteral

          public static final int RULE_genericLiteral

      See Also:
        Constant Field Values

    - #### RULE_genericLiteralMap

          public static final int RULE_genericLiteralMap

      See Also:
        Constant Field Values

    - #### RULE_integerLiteral

          public static final int RULE_integerLiteral

      See Also:
        Constant Field Values

    - #### RULE_floatLiteral

          public static final int RULE_floatLiteral

      See Also:
        Constant Field Values

    - #### RULE_booleanLiteral

          public static final int RULE_booleanLiteral

      See Also:
        Constant Field Values

    - #### RULE_stringLiteral

          public static final int RULE_stringLiteral

      See Also:
        Constant Field Values

    - #### RULE_dateLiteral

          public static final int RULE_dateLiteral

      See Also:
        Constant Field Values

    - #### RULE_nullLiteral

          public static final int RULE_nullLiteral

      See Also:
        Constant Field Values

    - #### ruleNames

          public static final String[] ruleNames

    - #### VOCABULARY

          public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

    - #### tokenNames

          @Deprecated
          public static final String[] tokenNames

      Deprecated. Use `VOCABULARY` instead.

    - #### _serializedATN

          public static final String _serializedATN

      See Also:
        Constant Field Values

    - #### _ATN

          public static final org.antlr.v4.runtime.atn.ATN _ATN

  - ### Constructor Detail

    - #### GremlinParser

          public GremlinParser(org.antlr.v4.runtime.TokenStream input)

  - ### Method Detail

    - #### getTokenNames

          @Deprecated
          public String[] getTokenNames()

      Deprecated.
      Specified by:
        `getTokenNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getVocabulary

          public org.antlr.v4.runtime.Vocabulary getVocabulary()

      Overrides:
        `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getGrammarFileName

          public String getGrammarFileName()

      Specified by:
        `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getRuleNames

          public String[] getRuleNames()

      Specified by:
        `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getSerializedATN

          public String getSerializedATN()

      Overrides:
        `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getATN

          public org.antlr.v4.runtime.atn.ATN getATN()

      Specified by:
        `getATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### queryList

          public final GremlinParser.QueryListContext queryList()
                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### query

          public final GremlinParser.QueryContext query()
                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### emptyQuery

          public final GremlinParser.EmptyQueryContext emptyQuery()
                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSource

          public final GremlinParser.TraversalSourceContext traversalSource()
                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### transactionPart

          public final GremlinParser.TransactionPartContext transactionPart()
                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### rootTraversal

          public final GremlinParser.RootTraversalContext rootTraversal()
                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSelfMethod

          public final GremlinParser.TraversalSourceSelfMethodContext traversalSourceSelfMethod()
                                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSelfMethod_withBulk

          public final GremlinParser.TraversalSourceSelfMethod_withBulkContext traversalSourceSelfMethod_withBulk()
                                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSelfMethod_withPath

          public final GremlinParser.TraversalSourceSelfMethod_withPathContext traversalSourceSelfMethod_withPath()
                                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSelfMethod_withSack

          public final GremlinParser.TraversalSourceSelfMethod_withSackContext traversalSourceSelfMethod_withSack()
                                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSelfMethod_withSideEffect

          public final GremlinParser.TraversalSourceSelfMethod_withSideEffectContext traversalSourceSelfMethod_withSideEffect()
                                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSelfMethod_withStrategies

          public final GremlinParser.TraversalSourceSelfMethod_withStrategiesContext traversalSourceSelfMethod_withStrategies()
                                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSelfMethod_with

          public final GremlinParser.TraversalSourceSelfMethod_withContext traversalSourceSelfMethod_with()
                                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSpawnMethod

          public final GremlinParser.TraversalSourceSpawnMethodContext traversalSourceSpawnMethod()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSpawnMethod_addE

          public final GremlinParser.TraversalSourceSpawnMethod_addEContext traversalSourceSpawnMethod_addE()
                                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSpawnMethod_addV

          public final GremlinParser.TraversalSourceSpawnMethod_addVContext traversalSourceSpawnMethod_addV()
                                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSpawnMethod_E

          public final GremlinParser.TraversalSourceSpawnMethod_EContext traversalSourceSpawnMethod_E()
                                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSpawnMethod_V

          public final GremlinParser.TraversalSourceSpawnMethod_VContext traversalSourceSpawnMethod_V()
                                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSpawnMethod_inject

          public final GremlinParser.TraversalSourceSpawnMethod_injectContext traversalSourceSpawnMethod_inject()
                                                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSourceSpawnMethod_io

          public final GremlinParser.TraversalSourceSpawnMethod_ioContext traversalSourceSpawnMethod_io()
                                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### chainedTraversal

          public final GremlinParser.ChainedTraversalContext chainedTraversal()
                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### chainedParentOfGraphTraversal

          public final GremlinParser.ChainedParentOfGraphTraversalContext chainedParentOfGraphTraversal()
                                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### nestedTraversal

          public final GremlinParser.NestedTraversalContext nestedTraversal()
                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### terminatedTraversal

          public final GremlinParser.TerminatedTraversalContext terminatedTraversal()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod

          public final GremlinParser.TraversalMethodContext traversalMethod()
                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_V

          public final GremlinParser.TraversalMethod_VContext traversalMethod_V()
                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_addE

          public final GremlinParser.TraversalMethod_addEContext traversalMethod_addE()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_addV

          public final GremlinParser.TraversalMethod_addVContext traversalMethod_addV()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_aggregate

          public final GremlinParser.TraversalMethod_aggregateContext traversalMethod_aggregate()
                                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_and

          public final GremlinParser.TraversalMethod_andContext traversalMethod_and()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_as

          public final GremlinParser.TraversalMethod_asContext traversalMethod_as()
                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_barrier

          public final GremlinParser.TraversalMethod_barrierContext traversalMethod_barrier()
                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_both

          public final GremlinParser.TraversalMethod_bothContext traversalMethod_both()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_bothE

          public final GremlinParser.TraversalMethod_bothEContext traversalMethod_bothE()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_bothV

          public final GremlinParser.TraversalMethod_bothVContext traversalMethod_bothV()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_branch

          public final GremlinParser.TraversalMethod_branchContext traversalMethod_branch()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_by

          public final GremlinParser.TraversalMethod_byContext traversalMethod_by()
                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_cap

          public final GremlinParser.TraversalMethod_capContext traversalMethod_cap()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_choose

          public final GremlinParser.TraversalMethod_chooseContext traversalMethod_choose()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_coalesce

          public final GremlinParser.TraversalMethod_coalesceContext traversalMethod_coalesce()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_coin

          public final GremlinParser.TraversalMethod_coinContext traversalMethod_coin()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_connectedComponent

          public final GremlinParser.TraversalMethod_connectedComponentContext traversalMethod_connectedComponent()
                                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_constant

          public final GremlinParser.TraversalMethod_constantContext traversalMethod_constant()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_count

          public final GremlinParser.TraversalMethod_countContext traversalMethod_count()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_cyclicPath

          public final GremlinParser.TraversalMethod_cyclicPathContext traversalMethod_cyclicPath()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_dedup

          public final GremlinParser.TraversalMethod_dedupContext traversalMethod_dedup()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_drop

          public final GremlinParser.TraversalMethod_dropContext traversalMethod_drop()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_elementMap

          public final GremlinParser.TraversalMethod_elementMapContext traversalMethod_elementMap()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_emit

          public final GremlinParser.TraversalMethod_emitContext traversalMethod_emit()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_filter

          public final GremlinParser.TraversalMethod_filterContext traversalMethod_filter()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_flatMap

          public final GremlinParser.TraversalMethod_flatMapContext traversalMethod_flatMap()
                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_fold

          public final GremlinParser.TraversalMethod_foldContext traversalMethod_fold()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_from

          public final GremlinParser.TraversalMethod_fromContext traversalMethod_from()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_group

          public final GremlinParser.TraversalMethod_groupContext traversalMethod_group()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_groupCount

          public final GremlinParser.TraversalMethod_groupCountContext traversalMethod_groupCount()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_has

          public final GremlinParser.TraversalMethod_hasContext traversalMethod_has()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_hasId

          public final GremlinParser.TraversalMethod_hasIdContext traversalMethod_hasId()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_hasKey

          public final GremlinParser.TraversalMethod_hasKeyContext traversalMethod_hasKey()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_hasLabel

          public final GremlinParser.TraversalMethod_hasLabelContext traversalMethod_hasLabel()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_hasNot

          public final GremlinParser.TraversalMethod_hasNotContext traversalMethod_hasNot()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_hasValue

          public final GremlinParser.TraversalMethod_hasValueContext traversalMethod_hasValue()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_id

          public final GremlinParser.TraversalMethod_idContext traversalMethod_id()
                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_identity

          public final GremlinParser.TraversalMethod_identityContext traversalMethod_identity()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_in

          public final GremlinParser.TraversalMethod_inContext traversalMethod_in()
                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_inE

          public final GremlinParser.TraversalMethod_inEContext traversalMethod_inE()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_inV

          public final GremlinParser.TraversalMethod_inVContext traversalMethod_inV()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_index

          public final GremlinParser.TraversalMethod_indexContext traversalMethod_index()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_inject

          public final GremlinParser.TraversalMethod_injectContext traversalMethod_inject()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_is

          public final GremlinParser.TraversalMethod_isContext traversalMethod_is()
                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_key

          public final GremlinParser.TraversalMethod_keyContext traversalMethod_key()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_label

          public final GremlinParser.TraversalMethod_labelContext traversalMethod_label()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_limit

          public final GremlinParser.TraversalMethod_limitContext traversalMethod_limit()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_local

          public final GremlinParser.TraversalMethod_localContext traversalMethod_local()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_loops

          public final GremlinParser.TraversalMethod_loopsContext traversalMethod_loops()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_map

          public final GremlinParser.TraversalMethod_mapContext traversalMethod_map()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_match

          public final GremlinParser.TraversalMethod_matchContext traversalMethod_match()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_math

          public final GremlinParser.TraversalMethod_mathContext traversalMethod_math()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_max

          public final GremlinParser.TraversalMethod_maxContext traversalMethod_max()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_mean

          public final GremlinParser.TraversalMethod_meanContext traversalMethod_mean()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_min

          public final GremlinParser.TraversalMethod_minContext traversalMethod_min()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_not

          public final GremlinParser.TraversalMethod_notContext traversalMethod_not()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_option

          public final GremlinParser.TraversalMethod_optionContext traversalMethod_option()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_optional

          public final GremlinParser.TraversalMethod_optionalContext traversalMethod_optional()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_or

          public final GremlinParser.TraversalMethod_orContext traversalMethod_or()
                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_order

          public final GremlinParser.TraversalMethod_orderContext traversalMethod_order()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_otherV

          public final GremlinParser.TraversalMethod_otherVContext traversalMethod_otherV()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_out

          public final GremlinParser.TraversalMethod_outContext traversalMethod_out()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_outE

          public final GremlinParser.TraversalMethod_outEContext traversalMethod_outE()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_outV

          public final GremlinParser.TraversalMethod_outVContext traversalMethod_outV()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_pageRank

          public final GremlinParser.TraversalMethod_pageRankContext traversalMethod_pageRank()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_path

          public final GremlinParser.TraversalMethod_pathContext traversalMethod_path()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_peerPressure

          public final GremlinParser.TraversalMethod_peerPressureContext traversalMethod_peerPressure()
                                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_profile

          public final GremlinParser.TraversalMethod_profileContext traversalMethod_profile()
                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_project

          public final GremlinParser.TraversalMethod_projectContext traversalMethod_project()
                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_properties

          public final GremlinParser.TraversalMethod_propertiesContext traversalMethod_properties()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_property

          public final GremlinParser.TraversalMethod_propertyContext traversalMethod_property()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_propertyMap

          public final GremlinParser.TraversalMethod_propertyMapContext traversalMethod_propertyMap()
                                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_range

          public final GremlinParser.TraversalMethod_rangeContext traversalMethod_range()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_read

          public final GremlinParser.TraversalMethod_readContext traversalMethod_read()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_repeat

          public final GremlinParser.TraversalMethod_repeatContext traversalMethod_repeat()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_sack

          public final GremlinParser.TraversalMethod_sackContext traversalMethod_sack()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_sample

          public final GremlinParser.TraversalMethod_sampleContext traversalMethod_sample()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_select

          public final GremlinParser.TraversalMethod_selectContext traversalMethod_select()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_shortestPath

          public final GremlinParser.TraversalMethod_shortestPathContext traversalMethod_shortestPath()
                                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_sideEffect

          public final GremlinParser.TraversalMethod_sideEffectContext traversalMethod_sideEffect()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_simplePath

          public final GremlinParser.TraversalMethod_simplePathContext traversalMethod_simplePath()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_skip

          public final GremlinParser.TraversalMethod_skipContext traversalMethod_skip()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_store

          public final GremlinParser.TraversalMethod_storeContext traversalMethod_store()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_subgraph

          public final GremlinParser.TraversalMethod_subgraphContext traversalMethod_subgraph()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_sum

          public final GremlinParser.TraversalMethod_sumContext traversalMethod_sum()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_tail

          public final GremlinParser.TraversalMethod_tailContext traversalMethod_tail()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_timeLimit

          public final GremlinParser.TraversalMethod_timeLimitContext traversalMethod_timeLimit()
                                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_times

          public final GremlinParser.TraversalMethod_timesContext traversalMethod_times()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_to

          public final GremlinParser.TraversalMethod_toContext traversalMethod_to()
                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_toE

          public final GremlinParser.TraversalMethod_toEContext traversalMethod_toE()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_toV

          public final GremlinParser.TraversalMethod_toVContext traversalMethod_toV()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_tree

          public final GremlinParser.TraversalMethod_treeContext traversalMethod_tree()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_unfold

          public final GremlinParser.TraversalMethod_unfoldContext traversalMethod_unfold()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_union

          public final GremlinParser.TraversalMethod_unionContext traversalMethod_union()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_until

          public final GremlinParser.TraversalMethod_untilContext traversalMethod_until()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_value

          public final GremlinParser.TraversalMethod_valueContext traversalMethod_value()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_valueMap

          public final GremlinParser.TraversalMethod_valueMapContext traversalMethod_valueMap()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_values

          public final GremlinParser.TraversalMethod_valuesContext traversalMethod_values()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_where

          public final GremlinParser.TraversalMethod_whereContext traversalMethod_where()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_with

          public final GremlinParser.TraversalMethod_withContext traversalMethod_with()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalMethod_write

          public final GremlinParser.TraversalMethod_writeContext traversalMethod_write()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalStrategy

          public final GremlinParser.TraversalStrategyContext traversalStrategy()
                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalStrategyArgs_ProductiveByStrategy

          public final GremlinParser.TraversalStrategyArgs_ProductiveByStrategyContext traversalStrategyArgs_ProductiveByStrategy()
                                                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalStrategyArgs_PartitionStrategy

          public final GremlinParser.TraversalStrategyArgs_PartitionStrategyContext traversalStrategyArgs_PartitionStrategy()
                                                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalStrategyArgs_SubgraphStrategy

          public final GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext traversalStrategyArgs_SubgraphStrategy()
                                                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalStrategyArgs_EdgeLabelVerificationStrategy

          public final GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext traversalStrategyArgs_EdgeLabelVerificationStrategy()
                                                                                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalStrategyArgs_ReservedKeysVerificationStrategy

          public final GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext traversalStrategyArgs_ReservedKeysVerificationStrategy()
                                                                                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalScope

          public final GremlinParser.TraversalScopeContext traversalScope()
                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalToken

          public final GremlinParser.TraversalTokenContext traversalToken()
                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalOrder

          public final GremlinParser.TraversalOrderContext traversalOrder()
                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalDirection

          public final GremlinParser.TraversalDirectionContext traversalDirection()
                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalCardinality

          public final GremlinParser.TraversalCardinalityContext traversalCardinality()
                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalColumn

          public final GremlinParser.TraversalColumnContext traversalColumn()
                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPop

          public final GremlinParser.TraversalPopContext traversalPop()
                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalOperator

          public final GremlinParser.TraversalOperatorContext traversalOperator()
                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalOptionParent

          public final GremlinParser.TraversalOptionParentContext traversalOptionParent()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate

          public final GremlinParser.TraversalPredicateContext traversalPredicate()
                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalTerminalMethod

          public final GremlinParser.TraversalTerminalMethodContext traversalTerminalMethod()
                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSackMethod

          public final GremlinParser.TraversalSackMethodContext traversalSackMethod()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSelfMethod

          public final GremlinParser.TraversalSelfMethodContext traversalSelfMethod()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalComparator

          public final GremlinParser.TraversalComparatorContext traversalComparator()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalFunction

          public final GremlinParser.TraversalFunctionContext traversalFunction()
                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalBiFunction

          public final GremlinParser.TraversalBiFunctionContext traversalBiFunction()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_eq

          public final GremlinParser.TraversalPredicate_eqContext traversalPredicate_eq()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_neq

          public final GremlinParser.TraversalPredicate_neqContext traversalPredicate_neq()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_lt

          public final GremlinParser.TraversalPredicate_ltContext traversalPredicate_lt()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_lte

          public final GremlinParser.TraversalPredicate_lteContext traversalPredicate_lte()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_gt

          public final GremlinParser.TraversalPredicate_gtContext traversalPredicate_gt()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_gte

          public final GremlinParser.TraversalPredicate_gteContext traversalPredicate_gte()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_inside

          public final GremlinParser.TraversalPredicate_insideContext traversalPredicate_inside()
                                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_outside

          public final GremlinParser.TraversalPredicate_outsideContext traversalPredicate_outside()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_between

          public final GremlinParser.TraversalPredicate_betweenContext traversalPredicate_between()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_within

          public final GremlinParser.TraversalPredicate_withinContext traversalPredicate_within()
                                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_without

          public final GremlinParser.TraversalPredicate_withoutContext traversalPredicate_without()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_not

          public final GremlinParser.TraversalPredicate_notContext traversalPredicate_not()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_containing

          public final GremlinParser.TraversalPredicate_containingContext traversalPredicate_containing()
                                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_notContaining

          public final GremlinParser.TraversalPredicate_notContainingContext traversalPredicate_notContaining()
                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_startingWith

          public final GremlinParser.TraversalPredicate_startingWithContext traversalPredicate_startingWith()
                                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_notStartingWith

          public final GremlinParser.TraversalPredicate_notStartingWithContext traversalPredicate_notStartingWith()
                                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_endingWith

          public final GremlinParser.TraversalPredicate_endingWithContext traversalPredicate_endingWith()
                                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalPredicate_notEndingWith

          public final GremlinParser.TraversalPredicate_notEndingWithContext traversalPredicate_notEndingWith()
                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalTerminalMethod_explain

          public final GremlinParser.TraversalTerminalMethod_explainContext traversalTerminalMethod_explain()
                                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalTerminalMethod_hasNext

          public final GremlinParser.TraversalTerminalMethod_hasNextContext traversalTerminalMethod_hasNext()
                                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalTerminalMethod_iterate

          public final GremlinParser.TraversalTerminalMethod_iterateContext traversalTerminalMethod_iterate()
                                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalTerminalMethod_tryNext

          public final GremlinParser.TraversalTerminalMethod_tryNextContext traversalTerminalMethod_tryNext()
                                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalTerminalMethod_next

          public final GremlinParser.TraversalTerminalMethod_nextContext traversalTerminalMethod_next()
                                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalTerminalMethod_toList

          public final GremlinParser.TraversalTerminalMethod_toListContext traversalTerminalMethod_toList()
                                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalTerminalMethod_toSet

          public final GremlinParser.TraversalTerminalMethod_toSetContext traversalTerminalMethod_toSet()
                                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalTerminalMethod_toBulkSet

          public final GremlinParser.TraversalTerminalMethod_toBulkSetContext traversalTerminalMethod_toBulkSet()
                                                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalSelfMethod_none

          public final GremlinParser.TraversalSelfMethod_noneContext traversalSelfMethod_none()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants

          public final GremlinParser.GremlinStringConstantsContext gremlinStringConstants()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### connectedComponentConstants

          public final GremlinParser.ConnectedComponentConstantsContext connectedComponentConstants()
                                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### pageRankStringConstants

          public final GremlinParser.PageRankStringConstantsContext pageRankStringConstants()
                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### peerPressureStringConstants

          public final GremlinParser.PeerPressureStringConstantsContext peerPressureStringConstants()
                                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### shortestPathStringConstants

          public final GremlinParser.ShortestPathStringConstantsContext shortestPathStringConstants()
                                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### withOptionsStringConstants

          public final GremlinParser.WithOptionsStringConstantsContext withOptionsStringConstants()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### ioOptionsStringConstants

          public final GremlinParser.IoOptionsStringConstantsContext ioOptionsStringConstants()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_connectedComponentStringConstants_component

          public final GremlinParser.GremlinStringConstants_connectedComponentStringConstants_componentContext gremlinStringConstants_connectedComponentStringConstants_component()
                                                                                                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_connectedComponentStringConstants_edges

          public final GremlinParser.GremlinStringConstants_connectedComponentStringConstants_edgesContext gremlinStringConstants_connectedComponentStringConstants_edges()
                                                                                                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_connectedComponentStringConstants_propertyName

          public final GremlinParser.GremlinStringConstants_connectedComponentStringConstants_propertyNameContext gremlinStringConstants_connectedComponentStringConstants_propertyName()
                                                                                                                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_pageRankStringConstants_edges

          public final GremlinParser.GremlinStringConstants_pageRankStringConstants_edgesContext gremlinStringConstants_pageRankStringConstants_edges()
                                                                                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_pageRankStringConstants_times

          public final GremlinParser.GremlinStringConstants_pageRankStringConstants_timesContext gremlinStringConstants_pageRankStringConstants_times()
                                                                                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_pageRankStringConstants_propertyName

          public final GremlinParser.GremlinStringConstants_pageRankStringConstants_propertyNameContext gremlinStringConstants_pageRankStringConstants_propertyName()
                                                                                                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_peerPressureStringConstants_edges

          public final GremlinParser.GremlinStringConstants_peerPressureStringConstants_edgesContext gremlinStringConstants_peerPressureStringConstants_edges()
                                                                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_peerPressureStringConstants_times

          public final GremlinParser.GremlinStringConstants_peerPressureStringConstants_timesContext gremlinStringConstants_peerPressureStringConstants_times()
                                                                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_peerPressureStringConstants_propertyName

          public final GremlinParser.GremlinStringConstants_peerPressureStringConstants_propertyNameContext gremlinStringConstants_peerPressureStringConstants_propertyName()
                                                                                                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_shortestPathStringConstants_target

          public final GremlinParser.GremlinStringConstants_shortestPathStringConstants_targetContext gremlinStringConstants_shortestPathStringConstants_target()
                                                                                                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_shortestPathStringConstants_edges

          public final GremlinParser.GremlinStringConstants_shortestPathStringConstants_edgesContext gremlinStringConstants_shortestPathStringConstants_edges()
                                                                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_shortestPathStringConstants_distance

          public final GremlinParser.GremlinStringConstants_shortestPathStringConstants_distanceContext gremlinStringConstants_shortestPathStringConstants_distance()
                                                                                                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_shortestPathStringConstants_maxDistance

          public final GremlinParser.GremlinStringConstants_shortestPathStringConstants_maxDistanceContext gremlinStringConstants_shortestPathStringConstants_maxDistance()
                                                                                                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_shortestPathStringConstants_includeEdges

          public final GremlinParser.GremlinStringConstants_shortestPathStringConstants_includeEdgesContext gremlinStringConstants_shortestPathStringConstants_includeEdges()
                                                                                                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_withOptionsStringConstants_tokens

          public final GremlinParser.GremlinStringConstants_withOptionsStringConstants_tokensContext gremlinStringConstants_withOptionsStringConstants_tokens()
                                                                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_withOptionsStringConstants_none

          public final GremlinParser.GremlinStringConstants_withOptionsStringConstants_noneContext gremlinStringConstants_withOptionsStringConstants_none()
                                                                                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_withOptionsStringConstants_ids

          public final GremlinParser.GremlinStringConstants_withOptionsStringConstants_idsContext gremlinStringConstants_withOptionsStringConstants_ids()
                                                                                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_withOptionsStringConstants_labels

          public final GremlinParser.GremlinStringConstants_withOptionsStringConstants_labelsContext gremlinStringConstants_withOptionsStringConstants_labels()
                                                                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_withOptionsStringConstants_keys

          public final GremlinParser.GremlinStringConstants_withOptionsStringConstants_keysContext gremlinStringConstants_withOptionsStringConstants_keys()
                                                                                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_withOptionsStringConstants_values

          public final GremlinParser.GremlinStringConstants_withOptionsStringConstants_valuesContext gremlinStringConstants_withOptionsStringConstants_values()
                                                                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_withOptionsStringConstants_all

          public final GremlinParser.GremlinStringConstants_withOptionsStringConstants_allContext gremlinStringConstants_withOptionsStringConstants_all()
                                                                                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_withOptionsStringConstants_indexer

          public final GremlinParser.GremlinStringConstants_withOptionsStringConstants_indexerContext gremlinStringConstants_withOptionsStringConstants_indexer()
                                                                                                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_withOptionsStringConstants_list

          public final GremlinParser.GremlinStringConstants_withOptionsStringConstants_listContext gremlinStringConstants_withOptionsStringConstants_list()
                                                                                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_withOptionsStringConstants_map

          public final GremlinParser.GremlinStringConstants_withOptionsStringConstants_mapContext gremlinStringConstants_withOptionsStringConstants_map()
                                                                                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_ioOptionsStringConstants_reader

          public final GremlinParser.GremlinStringConstants_ioOptionsStringConstants_readerContext gremlinStringConstants_ioOptionsStringConstants_reader()
                                                                                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_ioOptionsStringConstants_writer

          public final GremlinParser.GremlinStringConstants_ioOptionsStringConstants_writerContext gremlinStringConstants_ioOptionsStringConstants_writer()
                                                                                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_ioOptionsStringConstants_gryo

          public final GremlinParser.GremlinStringConstants_ioOptionsStringConstants_gryoContext gremlinStringConstants_ioOptionsStringConstants_gryo()
                                                                                                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_ioOptionsStringConstants_graphson

          public final GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphsonContext gremlinStringConstants_ioOptionsStringConstants_graphson()
                                                                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gremlinStringConstants_ioOptionsStringConstants_graphml

          public final GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphmlContext gremlinStringConstants_ioOptionsStringConstants_graphml()
                                                                                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### connectedComponentStringConstant

          public final GremlinParser.ConnectedComponentStringConstantContext connectedComponentStringConstant()
                                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### pageRankStringConstant

          public final GremlinParser.PageRankStringConstantContext pageRankStringConstant()
                                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### peerPressureStringConstant

          public final GremlinParser.PeerPressureStringConstantContext peerPressureStringConstant()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### shortestPathStringConstant

          public final GremlinParser.ShortestPathStringConstantContext shortestPathStringConstant()
                                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### withOptionsStringConstant

          public final GremlinParser.WithOptionsStringConstantContext withOptionsStringConstant()
                                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### ioOptionsStringConstant

          public final GremlinParser.IoOptionsStringConstantContext ioOptionsStringConstant()
                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalStrategyList

          public final GremlinParser.TraversalStrategyListContext traversalStrategyList()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### traversalStrategyExpr

          public final GremlinParser.TraversalStrategyExprContext traversalStrategyExpr()
                                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### nestedTraversalList

          public final GremlinParser.NestedTraversalListContext nestedTraversalList()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### nestedTraversalExpr

          public final GremlinParser.NestedTraversalExprContext nestedTraversalExpr()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### genericLiteralList

          public final GremlinParser.GenericLiteralListContext genericLiteralList()
                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### genericLiteralExpr

          public final GremlinParser.GenericLiteralExprContext genericLiteralExpr()
                                                                           throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### genericLiteralRange

          public final GremlinParser.GenericLiteralRangeContext genericLiteralRange()
                                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### genericLiteralCollection

          public final GremlinParser.GenericLiteralCollectionContext genericLiteralCollection()
                                                                                       throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### stringLiteralList

          public final GremlinParser.StringLiteralListContext stringLiteralList()
                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### stringLiteralExpr

          public final GremlinParser.StringLiteralExprContext stringLiteralExpr()
                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### genericLiteral

          public final GremlinParser.GenericLiteralContext genericLiteral()
                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### genericLiteralMap

          public final GremlinParser.GenericLiteralMapContext genericLiteralMap()
                                                                         throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### integerLiteral

          public final GremlinParser.IntegerLiteralContext integerLiteral()
                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### floatLiteral

          public final GremlinParser.FloatLiteralContext floatLiteral()
                                                               throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### booleanLiteral

          public final GremlinParser.BooleanLiteralContext booleanLiteral()
                                                                   throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### stringLiteral

          public final GremlinParser.StringLiteralContext stringLiteral()
                                                                 throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### dateLiteral

          public final GremlinParser.DateLiteralContext dateLiteral()
                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### nullLiteral

          public final GremlinParser.NullLiteralContext nullLiteral()
                                                             throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### sempred

          public boolean sempred(org.antlr.v4.runtime.RuleContext _localctx,
                                 int ruleIndex,
                                 int predIndex)

      Overrides:
        `sempred` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.